[i965] X freezes starting on April 3rd

Bug #359392 reported by Jithin Emmanuel
740
This bug affects 78 people
Affects Status Importance Assigned to Milestone
xf86-video-intel
Fix Released
Critical
compiz (Ubuntu)
Fix Released
Undecided
Michael Vogt
Jaunty
Fix Released
Undecided
Martin Pitt
Karmic
Fix Released
Undecided
Michael Vogt
xserver-xorg-video-intel (Ubuntu)
Fix Released
Critical
Arlete
Jaunty
Fix Released
Critical
Arlete
Karmic
Fix Released
Critical
Arlete

Bug Description

[Problem]
Starting around 4/3, when mesa was upgraded from 7.3 to 7.4, several i965 users started noticing X freeze after several hours of use, triggered by application usage especially noticeable with (but not unique to) compiz enabled.

[Impact]
The freeze bug affects a subset of i965 based systems, most particularly those using compiz. Exact numbers cannot be determined, but may be as high as 25-50% based on rough estimates.

The problem is severe: An unpredictable lockup of the system that requires a power cycle to recover from. For some users it comes on within minutes, while for others it comes after a few hours of use.

[How Addressed in Development Version]
For now, the patch being proposed for Jaunty has been uploaded to Karmic.

Longer term, we plan to move from EXA to UXA once the latter is stable enough. It has been found that while UXA exhibits other kinds of freezes, we've not yet been able to reproduce this particular freeze there.

[Patch for Jaunty]
A low-risk workaround that has proven effective at eliminating freezes, or at least greatly reducing their frequency, is to increase the Virtual framebuffer size. Some users do this locally as a matter of course to gain dual-head support, so this setting has received extremely widespread testing already.

The patch for Jaunty causes the Virtual size to be set to 2048x2048 if it is not otherwise specified. Users can still override this with their own settings, larger or smaller, as desired.

A side effect of this patch is that it also mitigates bug 158415 to a degree, which will make projector usage somewhat easier for this hardware because it will enable X to recognize higher resolutions available from the external monitor than were available on initial boot.

[Test Case]
The best method found to reproduce the bug is:
  a. Enable compiz
  b. Set your desktop to a 6x1 workspace layout
  c. Run http://launchpadlibrarian.net/25683477/repro.sh
  d. System will freeze anywhere from 1-20 min typically
  e. Power-button shutdown is required to reset the system

[Regression Potential]
In general, Virtual has been widely and extensively tested, so we do not expect this patch to trigger regressions.

The patch is coded to only take effect on i965 systems, so the scope of any regression that might conceivably be triggered will be limited to just that hardware.

[Suspects]
Omitting obviously trivial, unrelated changes, here are what changed in several suspect packages in the timeframe in question:

* intel driver:
  4/01: 118_drop_legacy3d.patch: Removed Legacy3D
  4/03: 114_fix_xv_with_non_gem.patch: Dropped since it caused regression
  4/06: 119_drm_bo_unreference_needs_null.patch: Fixes various nullptr derefs
  4/08: 120_fix_vt_switch.patch: Fix nullptr deref in video playback

* xserver:
  4/08: 177_animated_cursor_change_master.patch: fixes animated cursors
  4/06: 174_set_bg_pixmap_of_cow_to_none.patch: Sets bg pixmap of
         composite overlay window to None
  3/30: 172_cwgetbackingpicture_nullptr_check.patch: fix race condition
         when minimzing/maximizing firefox with flash video playing.

* mesa:
  4/03: 7.4 released
    * Added MESA_GLX_FORCE_DIRECT env var for Xlib/software driver
    * GLSL version 1.20 is returnd by the GL_SHADING_LANGUAGE_VERSION query
    * glGetActiveUniform() returned wrong size for some array types
    * Fixed some error checking in glUniform()
    * Fixed a potential glTexImage('proxy target') segfault
    * Fixed bad reference counting for 1D/2D texture arrays
    * Fixed VBO + glPush/PopClientAttrib() bug #19835
   * Assorted i965 driver bug fixes
    * Fixed a Windows compilation failure in s_triangle.c
    * Fixed a GLSL array indexing bug
    * Fixes for building on Haiku

* linux:
  4/04: 2.6.28-11.41: Revert MCHBAR patch
  4/02: 2.6.28-11.40: Add MCHBAR patch

* libdrm:
  4/04: 02_libdrm_nouveau_update.patch: Only affects nouveau code
  3/29: libdrm-nouveau1.symbols: Probably innocuous

[Workarounds]
Various people have found one or more of the following have helped to reduce the frequency or eliminate the freezes:

  * Turn off compiz
  * AccelMethod UXA
  * Set NoAccel true
  * Set Virtual to something high
  * MigrationHeuristic greedy
  * Revert to 2.4 -intel driver

[Current Theory]
A 3D memory buffer accumulates data until something gets in there incorrectly and leads to a freeze. This can happen either slowly over a long period of light use, or fairly soon if using the system heavily. It is not simply a matter of filling the memory up, so the trigger often seems to be random, but usually follows some sort of graphics transition (such as the 3D effect from alt-tab, or closing a firefox window).

It is fairly certain that there are multiple freeze bugs present in X.org with the -intel driver. This causes significant confusion when people having different bugs think they might have the same one, and find the symptoms and workarounds don't match. It is also suspected that the same root bug may have multiple different ways of triggering it.

Increasing the Virtual settings seems to either eliminate or greatly reduce the frequency of these freezes. Presumably this allocates larger memory buffers so the chances of something hitting a wrong thing are greatly lessened. However, none of this is well understood.

[Original Report]
I am using kubuntu jaunty beta. My system is freezing randomly. I have the latest updates.
After freezing the mouse pointer still works. And sometimes the power off button works. On powering off , when the stage for kubuntu logo comes its showing a distorted image.

This happens with or without desktop effects. These freezes are very randomly, but mostly when I run some new applications.
I am using intel graphics.

[lspci]
00:00.0 Host bridge [0600]: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub [8086:2a00] (rev 0c)
     Subsystem: Hewlett-Packard Company Device [103c:30be]
00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller [8086:2a02] (rev 0c)
     Subsystem: Hewlett-Packard Company Device [103c:30be]

Revision history for this message
Jithin Emmanuel (jithin1987) wrote :
Revision history for this message
Jithin Emmanuel (jithin1987) wrote :
Revision history for this message
Jithin Emmanuel (jithin1987) wrote :

Sorry the first attachment is lscpci , typo

Bryce Harrington (bryce)
summary: - X freezes in kubunty jaunty (mouse pointer works)
+ X freezes with or without desktop effects
summary: - X freezes with or without desktop effects
+ [i965] X freezes with or without desktop effects
Revision history for this message
Bryce Harrington (bryce) wrote : Re: [i965] X freezes with or without desktop effects

What you have described is a generic freeze. It could be caused by any number of things, and you need to take some additional steps to provide a complete report. "randomly" is not specific enough to be able to analyze the problem.

When did you upgrade to Jaunty? When did you first notice the freezes occurring?

How frequently do the freezes occur? How many per day would you say you experience?

List the applications you typically have open at the time of the freeze.

Describe example activities you were performing for a few of the recent freezes. You mentioned it occurs when you run new applications, which applications were these? In what way were they "new"?

For more tips on troubleshooting freeze bugs, please refer to these links:

  https://wiki.ubuntu.com/X/Troubleshooting/Freeze
  https://wiki.ubuntu.com/X/Bugs/IntelDriver

Revision history for this message
Jithin Emmanuel (jithin1987) wrote :

I did not have the freezes on jaunty alpha6. I remember it started occurring on last friday april 3rd . I am sure because it was that day kde 4.2.2 updates hit the jaunty repos. Prior to that date, when I was using kde 4.2.1 I didn't have any freezes.
The application I have running are firefox, kmail , kopete, eclipse, konsole.

Some times freeze occurs after I start kmail , but not always. Mostly when freezing I will be using konsole or kmail or firefox.
New in the sense after I start some new applications. Though I never noticed this occurring on idle state. Some times freeze occurs after login, but only after applications start and I get desktop.

Revision history for this message
Jithin Emmanuel (jithin1987) wrote :

And I am using a laptop hp compaq 6910p

Revision history for this message
Matthew Woerly (nattgew) wrote :

I'm having random freezes too, with Gnome and Compiz. They seemed to just start recently, maybe around April 3rd like you said.
I thought it was related to Gnome-Do at first, because it always froze when trying to bring up Gnome-Do. I removed that and still had the problem. So then I thought it was the UXA acceleration, but I changed back to EXA and still had it freeze. Now the freezes seem random, I'll see if I can find some kind of trend in when they occur.

00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller [8086:2a02] (rev 0c)

Revision history for this message
Bryce Harrington (bryce) wrote : Re: [Bug 359392] Re: [i965] X freezes with or without desktop effects

On Sat, Apr 11, 2009 at 08:44:00AM -0000, Jithin Emmanuel wrote:
> I did not have the freezes on jaunty alpha6. I remember it started occurring on last friday april 3rd . I am sure because it was that day kde 4.2.2 updates hit the jaunty repos. Prior to that date, when I was using kde 4.2.1 I didn't have any freezes.
> The application I have running are firefox, kmail , kopete, eclipse, konsole.
>
> Some times freeze occurs after I start kmail , but not always. Mostly when freezing I will be using konsole or kmail or firefox.
> New in the sense after I start some new applications. Though I never noticed this occurring on idle state. Some times freeze occurs after login, but only after applications start and I get desktop.
>

Thanks for narrowing it to date 4/3, that's probably a very good clue.
Please attach your /var/log/dpkg.log so I can see what versions of
things you had installed that date.

Bryce

Revision history for this message
Andres Mujica (andres.mujica) wrote : Re: [i965] X freezes with or without desktop effects

in fact i was about to point as probably guilty the xorg updates for that day. In fact i remember i've updated late at night and the other day i had about 5 freezes during the day.

However i didn't see anything deeply related with a freeze in the changelog.

I'm waiting for another freeze, so i can downgrade to a previous version and check again.

the thing is that this bug is hard to reproduce...

Revision history for this message
Andres Mujica (andres.mujica) wrote :

Would it be possible to the affected users to downgrade the mesa packages to version 7.3?

libglu1-mesa_7.3-1ubuntu4_i386.deb
libgl1-mesa-dri_7.3-1ubuntu4_i386.deb
libgl1-mesa-glx_7.3-1ubuntu4_i386.deb
mesa-utils_7.3-1ubuntu4_i386.deb

these ones are probably at /var/cache/apt/archives on your machines, if not go to packages.ubuntu.com and download those versions.

Thanks

tags: added: metabug regression-potential
Revision history for this message
Jithin Emmanuel (jithin1987) wrote :
Revision history for this message
Bryce Harrington (bryce) wrote :

2009-04-03 23:32:25 upgrade libgl1-mesa-dri 7.3-1ubuntu4 7.4-0ubuntu1
2009-04-03 23:32:25 status half-configured libgl1-mesa-dri 7.3-1ubuntu4
2009-04-03 23:32:25 status unpacked libgl1-mesa-dri 7.3-1ubuntu4
2009-04-03 23:32:25 status half-installed libgl1-mesa-dri 7.3-1ubuntu4
2009-04-03 23:32:26 status half-installed libgl1-mesa-dri 7.3-1ubuntu4
2009-04-03 23:32:27 status unpacked libgl1-mesa-dri 7.4-0ubuntu1
2009-04-03 23:32:27 status unpacked libgl1-mesa-dri 7.4-0ubuntu1
2009-04-03 23:32:27 upgrade libgl1-mesa-glx 7.3-1ubuntu4 7.4-0ubuntu1
2009-04-03 23:32:27 status half-configured libgl1-mesa-glx 7.3-1ubuntu4
2009-04-03 23:32:27 status unpacked libgl1-mesa-glx 7.3-1ubuntu4
2009-04-03 23:32:27 status half-installed libgl1-mesa-glx 7.3-1ubuntu4
2009-04-03 23:32:27 status half-installed libgl1-mesa-glx 7.3-1ubuntu4
2009-04-03 23:32:27 status unpacked libgl1-mesa-glx 7.4-0ubuntu1
2009-04-03 23:32:27 status unpacked libgl1-mesa-glx 7.4-0ubuntu1

Bingo.

On my i965 system, after reproducing the freezes yesterday, I downgraded to mesa 7.3 (and nothing else), left it running overnight, and have seen no freezes since.

To confirm, please downgrade these packages; you may still have them in your /var/cache/apt/archives/, else you can get them off packages.ubuntu.com.

If my theory is correct, you'll have no further freezes after installing these packages.

Changed in xserver-xorg-video-intel (Ubuntu):
assignee: nobody → Bryce Harrington (bryceharrington)
importance: Undecided → Critical
milestone: none → ubuntu-9.04
status: New → Triaged
Bryce Harrington (bryce)
summary: - [i965] X freezes with or without desktop effects
+ [i965] X freezes starting on April 3rd
Revision history for this message
Andres Mujica (andres.mujica) wrote :

For those without the packages at /var/cache/apt/archives

https://edge.launchpad.net/ubuntu/jaunty/i386/mesa-utils/7.3-1ubuntu4
https://edge.launchpad.net/ubuntu/jaunty/i386/libgl1-mesa-dri/7.3-1ubuntu4
https://edge.launchpad.net/ubuntu/jaunty/i386/libgl1-mesa-glx/7.3-1ubuntu4
https://edge.launchpad.net/ubuntu/jaunty/i386/libglu1-mesa/7.3-1ubuntu4

download, install with sudo dpkg -i filename and restart your session. Don't apply new updates until it's confirmed or discard that the problem is with mesa.

thanks

Revision history for this message
Andres Mujica (andres.mujica) wrote :

i've downgraded, waiting for the freeze to happen (about 24 hours ago i had 2 freezes, just a few hours i had another one, so at least tomorrow night will report back)

however check this comment

https://bugs.edge.launchpad.net/ubuntu/+bug/358033/comments/15

unless is not related... :(

Revision history for this message
wirechief (wirechief) wrote :

I need the packages listed by Andres Mujica however i need the amd64 versions, can they be gotten ? I tried to find
them at the link listed without success.

Revision history for this message
wirechief (wirechief) wrote :

I hope that those who find they need to reboot because of the freeze have at least tried RSEIUB , if used correctly
it can prevent filesystem damage here is a link to how its used.. http://techpatterns.com/forums/about911.html
I have noticed that `intel_reg_dumper`, which is available as part of the xserver-xorg-video-intel-dbg package
reveals the register that is being changed when the freeze occurs, running it before and after the crash and using
sudo intel_reg_dumper > reg_good.txt before the crash and sudo intel_reg_dumper > reg_bad.txt after the crash
from a ssh session to the sick machine and then doing sudo diff reg_good.txt reg_reg_bad.txt will show the register
that is changing .
 diff reg_good.txt reg_bad.txt
140c140
< (II): MI_MODE: 0x00000200
---
> (II): MI_MODE: 0x00000000
and then
wirechief@wirechief-laptop:~$ cat reg_bad.txt |grep MI_MODE
(II): MI_MODE: 0x00000000
wirechief@wirechief-laptop:~$ cat reg_good.txt |grep MI_MODE
(II): MI_MODE: 0x00000200
I am reading in other bug reports this is the common indication that the freeze issue has occurred.

Revision history for this message
Andres Mujica (andres.mujica) wrote :

change i386 for amd64 in the path.

Revision history for this message
wirechief (wirechief) wrote :

Sun Apr 12 12:28pm
my mesa downgraded .
sudo dpkg -l |grep mesa
ii libgl1-mesa-dri 7.3-1ubuntu4 A free implementation of the OpenGL API -- D
ii libgl1-mesa-glx 7.3-1ubuntu4 A free implementation of the OpenGL API -- G
ii libglu1-mesa 7.3-1ubuntu4 The OpenGL utility library (GLU)
ii mesa-utils 7.3-1ubuntu4 Miscellaneous Mesa GL utilities

I will have to research how to put these on hold so they are not updated on my next du
i got this when i tried.
sudo echo mesa-utils hold |dpkg --set-selections
dpkg: operation requires read/write access to dpkg status area

Bryce Harrington (bryce)
description: updated
description: updated
Revision history for this message
Andres Mujica (andres.mujica) wrote :

wirechief you've missed a sudo before dpkg

Revision history for this message
crashsystems (crashsystems) wrote :

As Bryce Harrington suggested, I downgraded my mesa packages to the previous version. I did this almost 24 hours ago, and 15 minutes ago I had another freeze. So I think ether the bug was introduced in an earlier version, or is in another package entirely.

Revision history for this message
Steve Langasek (vorlon) wrote :

crashsystems,

to confirm: you restarted X after downgrading the mesa packages?

Revision history for this message
crashsystems (crashsystems) wrote : Re: [Bug 359392] Re: [i965] X freezes starting on April 3rd

Yes, X was restarted. Since I took my laptop several places, it got rebooted
several times.

Revision history for this message
VangelistX (vangelistx) wrote :

Maybe newly released Mesa 7.5 will solve the problem?

http://www.phoronix.com/scan.php?page=news_item&px=NzE4OQ

What about including Mesa 7.5 in Jaunty?

Revision history for this message
Jithin Emmanuel (jithin1987) wrote :

After I downgraded to mesa 7.3 I am not facing any freezes so far. But the thing is, I am on vacation and is not under thesame conditions I got the bug, ie I am not using my laptop frequently and nor running applications I used to run and I am not using wifi. Anyway I will report back if I notice any freezes, I have been using with out any dektop effects, now I will enable them and use.

Revision history for this message
Jithin Emmanuel (jithin1987) wrote :

OK. I got my freeze after I enabled desktop effects with mesa 7.3. It seems like I asked for it the moment I switched desktop effects ON in my kubuntu. :( So mesa 7.3 is not the solution it seems.

Revision history for this message
Julian Edwards (julian-edwards) wrote :

It's definitely related to desktop effects, I am totally lockup-free without them, but will reliably freeze the instant I turn them on (alt-shift-f12).

However, I am also plagued by bug 342923 which makes performance pretty awful and with screen corruption. I wonder if these two bugs are related somehow.

I was running KDE4.2 from the PPA packages on intrepid before jaunty, and there were no problems at all. The intel Xorg driver has my finger pointing at it.

Revision history for this message
Jithin Emmanuel (jithin1987) wrote :

Same story here. I wish I was using intrepid with kde from PPA.

Revision history for this message
wirechief (wirechief) wrote :

Yes i have rebooted a number of times now and a no lockup as of yet.
I made a seperate bug on the pinning.. 359392

On Sun, Apr 12, 2009 at 9:55 PM, Andres Mujica
<email address hidden> wrote:
> wirechief you've missed a sudo before dpkg
>
> --
> [i965] X freezes starting on April 3rd
> https://bugs.launchpad.net/bugs/359392
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Reach out and share life, care for others,

Revision history for this message
wirechief (wirechief) wrote :

I am not using Desktop effects. I disabled compiz. perhaps after
another 24hr i will give
them a try although for me I wasn't using them unless they are enabled
by default.
I did notice a drop in my screen performance but not significantly.

On Mon, Apr 13, 2009 at 8:35 AM, Jithin Emmanuel <email address hidden> wrote:
> Same story here. I wish I was using intrepid with kde from PPA.
>
> --
> [i965] X freezes starting on April 3rd
> https://bugs.launchpad.net/bugs/359392
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Reach out and share life, care for others,

Revision history for this message
Fernando Miguel (fernandomiguel) wrote : bug 359231??

Is bug 359231 related to this bug, even if I have a different GPU (nvidia in my case)?

https://bugs.launchpad.net/bugs/359231

Revision history for this message
Julian Edwards (julian-edwards) wrote :

It's worth mentioning that I made the change mentioned in bug 342923:

        Option "AccelMethod" "EXA"
        Option "MigrationHeuristic" "greedy"

And I no longer get any freezes, even with effects turned on, and the desktop is a lot quicker now.

(I have a GMA965)

Revision history for this message
Matt Zimmerman (mdz) wrote :

Bug 358574 may be a duplicate of this one, please evaluate.

Revision history for this message
wirechief (wirechief) wrote :
Revision history for this message
Jithin Emmanuel (jithin1987) wrote :

Today I am back to work and the moment I started my laptop in my office. I had 2 freezes in a row on login and after that it went away, one with desktop effects and one with out desktop effects. I guess mesa 7.3 has nothing to do with the freezes. Shall I updates back to mesa 7.4

The 3rd time before I logged in I ssh'ed to my box and has Xorg.0.log tail'ed

Revision history for this message
Jithin Emmanuel (jithin1987) wrote :

Ok It froze again gor the 3rd time but this time it closed the ssh connection I had and I was not able to connect again until I restarted.

Can any one confirm on
        Option "AccelMethod" "EXA"
        Option "MigrationHeuristic" "greedy"
change?

Revision history for this message
Christophe Olinger (olingerc) wrote :

Hey guys,

Just wanted to say that I'm experiencing the same problem on my hp2510p tablet PC which also got an intel graphics card. Am using kubuntu jaunty fully updated with kde 4.2.2 and the freezes started around the date mentioned here although I can't remember the exact date. The only applications I had freezes in were dolphin and firefox but those are the only ones I used. Desktop effects are enabled. I'll be on holiday for some days now so I can unfortunately not participate :-(

Good luck guys.

Revision history for this message
Alex57185 (alexandre-demasi) wrote :

I had the same problem on my Dell XPS M1330 with the intel cart. I updated this packages :

ibglu1-mesa
libgl1-mesa
libgl1-mesa-glx
mesa-utils

I use the debian packages in Sid (version 7.4-2 ) , and I updated the intel driver in the Sid repository.

I don't have any freeze after that (and I use the Desktop effect)

Revision history for this message
Zack Evans (zevans23) wrote :

@Jithin Emmanuel: I have multiple freeze bugs I think, including the one that appeared after the update to kernel 11.41. I have other freeze bugs that go back some time and therefore aren't related to recent updates.

Anyway - I can confirm that
        Option "AccelMethod" "EXA"
        Option "MigrationHeuristic" "greedy"
is rock-stable for me, so I'm now running that in day and experimenting with tracking my bugs down in the evening.

Note that my lockups are not specific to UXA, and happen with EXA if I omit the MigrationHeuristic option.

Mobile 945GME Express.

Revision history for this message
Jithin Emmanuel (jithin1987) wrote :

I upgraded back to mesa 7.4 and also added
        Option "AccelMethod" "EXA"
        Option "MigrationHeuristic" "greedy"
So far I am not having any freezes, but now my opera has a blank icon in system tray. Which will be taken over by the icon in its left if some new system tray icon is going to come on its right.
Have you faced this problem Zack Evans.

Revision history for this message
Jithin Emmanuel (jithin1987) wrote :

On more diggint it seems that
        Optio.n "AccelMethod" "EXA"
        Option "MigrationHeuristic" "greedy"
affects system tray icon on non kde applications in kubuntu. Do not know how its affects gnomes system tray.
Can any one using this option on a gnome desktop comment on this?

Revision history for this message
Julian Edwards (julian-edwards) wrote : Re: [Bug 359392] Re: [i965] X freezes starting on April 3rd

On Wednesday 15 April 2009 10:05:42 Jithin Emmanuel wrote:
> I upgraded back to mesa 7.4 and also added
> Option "AccelMethod" "EXA"
> Option "MigrationHeuristic" "greedy"
> So far I am not having any freezes, but now my opera has a blank icon in
> system tray. Which will be taken over by the icon in its left if some new
> system tray icon is going to come on its right. Have you faced this problem
> Zack Evans.

I get the same issue but with Konversation.

Revision history for this message
Jithin Emmanuel (jithin1987) wrote :

Konversarion is a kde 3 application . May be that's why Julian is having the issue.
Though it seems that
Option "AccelMethod" "EXA"
Option "MigrationHeuristic" "greedy" seems to fix the freeze issue, it brings its own trouble. CAN any one please tell what
Option "MigrationHeuristic" "greedy" does ?

Revision history for this message
Zack Evans (zevans23) wrote :

My system tray is OK, although most things I have in there are KDE4. Skype seems OK though and that's obviously not part of KDE4 build!

Do you have the same corruption as in https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/298475

Either way that's a new bug to do with "MigrationHeuristic" "greedy" causing corruption, so either find a similar bug or post a new one specific to the corruption problem - this bug is about freezes (I probably shouldn't have replied, because I am on 945 not 965 :-) )

Revision history for this message
Laurent Claessens (moky-math) wrote :

I'm also impacted by freezes since (more or less) the same datum.
My hardware is :
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 03)

By the way, the workaround proposed here (for other reasons) seems to fix the situation about freezes on my computer :
https://wiki.ubuntu.com/ReinhardTartler/X/RevertingIntelDriverTo2.4

That is reverting the driver to the version in Intrepid.

I let you know if I experience new freezes although using the old driver.

Revision history for this message
Bryce Harrington (bryce) wrote :

Update from some of my testing and research...

Since downgrading mesa to 7.3, I had 2 freezes over a period of about 5 days or so. I then went back to 7.4 and in the space of 12 hours had 3 freezes.

It makes me wonder if there are two freeze issues - one low frequency one in 7.3, and a higher frequency one in 7.4. Certainly there were already a number of reports of freezes prior to 4/3, just that we had a spurt of i965-specific ones after 4/3.

Revision history for this message
Bryce Harrington (bryce) wrote :

For register dumps on this bug, MI_MODE 0x00000200 just means "Looks like the GPU is frozen", which we already know. :-)

However, if you get anything *different*, that could be evidence you may have an unrelated freeze.

Revision history for this message
Bryce Harrington (bryce) wrote :

"What about including Mesa 7.5 in Jaunty?"

No, it is way too late into release freeze to pull in new versions. Also, odd numbered mesa's are unstable versions, and the reason we wanted to be on 7.4 in the first place is so Jaunty would have a "stable release" version of mesa.

However, cherrypicking well-tested fixes from mesa 7.5 is certainly in the cards, if they can be shown to solve key issues in jaunty. If you find such a situation, open a new bug, link the patch, and state the case for inclusion in jaunty, and we can take a look.

Revision history for this message
Bryce Harrington (bryce) wrote :

The working theory we have at the moment is that this bug is being caused by the patch 103_bump_965_texture_limit.diff. This patch increases the texture size for i965 cards. This patch was proposed for mesa 7.4 but declined with the following comment:

"Each time we bump up the max texture size it means we also increase the max drawing surface size (render to texture and all that). One consequence of this is the fixed point arithmetic in the swrast triangle code may start failing. There's comments in the code about it. It also means various internal buffers will double in size.

It's not a huge deal, but some testing needs to be done. I really need to write a glean test that exercises max-sized textures/FBOs..."

Based on upstream's review that this could cause instabilities, I consider it our leading suspect at this time.

I've prepared a PPA with this change reverted. I've installed it and been running it on my test box without problems for a couple hours. Can others please give this a try and see if it helps?

https://edge.launchpad.net/~bryceharrington/+archive/purple

Revision history for this message
Jithin Emmanuel (jithin1987) wrote :

I heared in some comments that after X freeze system is still ssh'able . But what I experienced is that my ssh connection was closed and I was no longer able to access host till I rebooted. Although sysreq keys combinations RSEIUB worked.
I was using
Option "AccelMethod" "EXA"
Option "MigrationHeuristic" "greedy"
Now I am going to remove it and try Byrce's repository ( though I am not facing any freezes with this options it brings some graphical corruption)

Revision history for this message
wirechief (wirechief) wrote :

I am planning on giving this a try myself, although i have to admit to
being a complete novice on compiling
source files (but this is a good reason to learn) I have to wait until
my free download time, because of FAP
constraints. I havent tried the EXA or greedy option in my Xorg,
perhaps i should leave that alone until after
i get through these patches being tested.

On Wed, Apr 15, 2009 at 8:33 PM, Jithin Emmanuel <email address hidden> wrote:
> I heared in some comments that after X freeze system is still ssh'able . But what I experienced is that my ssh connection was closed and I was no longer able to access host till I rebooted. Although sysreq keys combinations RSEIUB worked.
> I was using
> Option "AccelMethod" "EXA"
> Option "MigrationHeuristic" "greedy"
> Now I am going to remove it and try Byrce's repository ( though I am not facing any freezes with this options it brings some graphical corruption)
>
> --
> [i965] X freezes starting on April 3rd
> https://bugs.launchpad.net/bugs/359392
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Reach out and share life, care for others,

Revision history for this message
Bryce Harrington (bryce) wrote :

On Thu, Apr 16, 2009 at 12:33:47AM -0000, Jithin Emmanuel wrote:
> I heared in some comments that after X freeze system is still ssh'able . But what I experienced is that my ssh connection was closed and I was no longer able to access host till I rebooted. Although sysreq keys combinations RSEIUB worked.

If you can't ssh or ping the system, that suggests a kernel freeze
rather than X.

However, if your system uses wireless, if your wireless is managed in
your user session, then if X freezes it is possible for the network to
go down. In such cases, plug in an ethernet cable and ssh through that.

Bryce

Revision history for this message
Jithin Emmanuel (jithin1987) wrote :

@Bryce Yes. I was using wireless next time if that happens I will try Ethernet connection. ( Hoping that there will not be a next time as I am using mesa packages from your PPA)

Revision history for this message
Jithin Emmanuel (jithin1987) wrote :

@Bryce. I had my first freeze using your PPA packages. It worked for a long time until I stared amarok and it froze during playback, though sound continued to come.

Revision history for this message
Jithin Emmanuel (jithin1987) wrote :

Its started freezing here and there. Now I am sticking with the xorg.conf options
Option "AccelMethod" "EXA"
Option "MigrationHeuristic" "greedy" even though its causing display corruptions around certain windows and system tray. Atleast it works.

Revision history for this message
wirechief (wirechief) wrote :

I have just installed the packages...will continue to monitor...

On Thu, Apr 16, 2009 at 12:10 AM, Jithin Emmanuel <email address hidden> wrote:
> @Bryce. I had my first freeze using your PPA packages. It worked for a
> long time until I stared amarok and it froze during playback, though
> sound continued to come.
>
> --
> [i965] X freezes starting on April 3rd
> https://bugs.launchpad.net/bugs/359392
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Reach out and share life, care for others,

Revision history for this message
Bryce Harrington (bryce) wrote :

Yeah I have found I'm still getting frequent freezes with these
packages, after 30-60 min of use and always when doing alt+tab.
Seems to not make a difference whether greedy is enabled or not.

Revision history for this message
Jithin Emmanuel (jithin1987) wrote :

@Bryce. I am now using with Option "MigrationHeuristic" "greedy" and your mesa packages. So far there is nor freezes. I am planning to give UXA a try.

Revision history for this message
Soeren Sonnenburg (bugreports-nn7) wrote :

On Thu, 2009-04-16 at 09:30 +0000, Bryce Harrington wrote:
> Yeah I have found I'm still getting frequent freezes with these
> packages, after 30-60 min of use and always when doing alt+tab.
> Seems to not make a difference whether greedy is enabled or not.

Indeed, same here (on debian since about 1-2 days). Greedy does not
help, same freezes. It did not help to upgrade to the intel packages
from experimental either. Could it be related to general changes in
Xorg, like the hal stuff - e.g. would disabling it via
Option "AutoAddDevices" "off" make a difference?

So does anyone see this on non-intel?

Soeren

Revision history for this message
Jithin Emmanuel (jithin1987) wrote :

What do you guys mean by greedy? I thought it is Option "MigrationHeuristic" "greedy" . And I am using with that option with no freezes.

Revision history for this message
wirechief (wirechief) wrote :

I just added the following to my xorg.conf
Section "Device"
 Identifier "Onboard Intel Video"
  Option "EXAOptimizeMigration" "true"
 #Option "AccelMethod" "exa"
 #Option "MigrationHeuristic" "greedy"
 Option "monitor-VGA" "ExternalVGA"
 Option "monitor-LVDS" "OnboardLVDS"
 #Option "AccelMethod" "uxa"
EndSection
I think this enables EXA and I will try the greedy in a little while,
will see how this works.

On Thu, Apr 16, 2009 at 5:57 AM, Jithin Emmanuel <email address hidden> wrote:
> What do you guys mean by greedy? I thought it is Option
> "MigrationHeuristic" "greedy" . And I am using with that option with no
> freezes.
>
> --
> [i965] X freezes starting on April 3rd
> https://bugs.launchpad.net/bugs/359392
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Reach out and share life, care for others,

Revision history for this message
fedsotto (fedsotto) wrote :

Hi all,

I have been using the experimental fix for about two hours (I have an
intel) and I just faced the first freeze. I was writting an email in
thunderbird, in my case, it was totally unrelated with alt+tab.

Federico

Soeren Sonnenburg wrote:
> On Thu, 2009-04-16 at 09:30 +0000, Bryce Harrington wrote:
>
>> Yeah I have found I'm still getting frequent freezes with these
>> packages, after 30-60 min of use and always when doing alt+tab.
>> Seems to not make a difference whether greedy is enabled or not.
>>
>
> Indeed, same here (on debian since about 1-2 days). Greedy does not
> help, same freezes. It did not help to upgrade to the intel packages
> from experimental either. Could it be related to general changes in
> Xorg, like the hal stuff - e.g. would disabling it via
> Option "AutoAddDevices" "off" make a difference?
>
> So does anyone see this on non-intel?
>
> Soeren
>
>

Revision history for this message
Jithin Emmanuel (jithin1987) wrote :

@wirechief. Were you using uxa? Did you have freezes with it?

 I just enabled UXA and so far I have no freezes on my i965 graphics and performance seems to be a bit faster before UXA for sure.

Revision history for this message
Soeren Sonnenburg (bugreports-nn7) wrote :

On Thu, 2009-04-16 at 09:57 +0000, Jithin Emmanuel wrote:
> What do you guys mean by greedy? I thought it is Option
> "MigrationHeuristic" "greedy" . And I am using with that option with no
> freezes.

I meant that too. I just recognized that as I am using kms xorg refuses
to switch to using EXA, so 'greedy' was definitely not turned on.

Revision history for this message
wirechief (wirechief) wrote :

@Jithin Emmanuel, i was not using uxa. at the present time i have the Option "EXAOptimizeMigration" "true"
along with these, provided by Bryce, additionally i reinstalled compiz this am and so far everything is working
fine, I have tried using alt tab and no freeze's noted, I have tried Amarok and have a error message with it
but that is a seperate issue and not related to freezes.

dpkg -l |grep mesa
rc libgl1-mesa-glx 7.4-0ubuntu2~bug359392~1 A free implementation of the OpenGL API -- G
ii libgl1-mesa-swx11 7.4-0ubuntu2~bug359392~1 A free implementation of the OpenGL API -- r
ii libgl1-mesa-swx11-dbg 7.4-0ubuntu2~bug359392~1 A free implementation of the OpenGL API -- d
ii libgl1-mesa-swx11-dev 7.4-0ubuntu2~bug359392~1 A free implementation of the OpenGL API -- d
hi libglu1-mesa 7.4-0ubuntu2~bug359392~1 The OpenGL utility library (GLU)
ii libglu1-mesa-dev 7.4-0ubuntu2~bug359392~1 The OpenGL utility library -- development fi
ii libosmesa6 7.4-0ubuntu2~bug359392~1 Mesa Off-screen rendering extension
ii libosmesa6-dev 7.4-0ubuntu2~bug359392~1 Mesa Off-screen rendering extension -- devel
ii mesa-common-dev 7.4-0ubuntu2~bug359392~1 Developer documentation for Mesa
ii mesa-utils 7.4-0ubuntu2~bug359392~1 Miscellaneous Mesa GL utilities

Revision history for this message
Jithin Emmanuel (jithin1987) wrote :

I have been using UXA last day. and with that I am having no freezes. Also there was an update on mesa packages from repository and I applied it.
Does this mean switching to UXA is the solution to freezes?
But it has its own problem with switch user and some minor issues with hibernation ( though works). I have opened a separate bug for that.

Revision history for this message
Martin Pitt (pitti) wrote :

Should get fixed in an SRU.

Changed in xserver-xorg-video-intel (Ubuntu Jaunty):
milestone: ubuntu-9.04 → jaunty-updates
Revision history for this message
Jithin Emmanuel (jithin1987) wrote :

What is an SRU? Does that means it won't be fixed when jaunty releases. Won't that create some badmouth?

Revision history for this message
wirechief (wirechief) wrote :

I have not had a freeze however i am noticing the "(EE)" error
cat /var/log/Xorg.0.log |grep "(EE)"
 (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(EE) AIGLX error: dlopen of /usr/lib/dri/i965_dri.so failed (/usr/lib/dri/i965_dri.so: cannot open shared object file: No such file or directory)
(EE) AIGLX: reverting to software rendering
(EE) AIGLX error: dlopen of /usr/lib/dri/swrast_dri.so failed (/usr/lib/dri/swrast_dri.so: cannot open shared object file: No such file or directory)
(EE) GLX: could not load software renderer

Is this a concern ? did i miss doing a patch from Bryce's PPA ?
I had Option "AccelMethod" "exa"
 Option "monitor-VGA" "ExternalVGA"
 Option "monitor-LVDS" "OnboardLVDS"
however # them and still have the same error, but again no freezes...

Revision history for this message
Zack Evans (zevans23) wrote :

usr/lib/dri/i965_dri.so is provided by the package libgl1-mesa-dri.

So indeed these errors suggest you are now missing that package, or you have a permissions problem with it, so I agree you have some installation problem with Bryce's package.

Meanwhile this means your system is not even trying to use DRI, so clearly you aren't going to trigger any bugs. :-) But I also imagine this means you've had a slowdown?

Revision history for this message
Timo Jyrinki (timo-jyrinki) wrote :

Dropping 103_bump_965_texture_limit.diff has kept mine and tjaalton's i965 machines from crashing for multiple days now. Before dropping it, I simply couldn't enable compiz.

I would suggest to drop 103 anyway as it looks like it already helps many i965 users, even if it would not be everyone.

Revision history for this message
Timo Jyrinki (timo-jyrinki) wrote :

Just an idea: dropping the patch helps only amd64 i965 users?

Revision history for this message
wirechief (wirechief) wrote :

Well thats where this gets very confusing to me.
with this check. sudo dpkg -l |grep libgl1-mesa-dri
iU libgl1-mesa-dri 7.4-0ubuntu2~bug359392~1
but i don't know what the iU stands for ;)
I don't seem to have a slowdown but i think that is relative if i dont
know what
fast is. ;)

On Fri, Apr 17, 2009 at 10:49 AM, Zack Evans <email address hidden> wrote:
> usr/lib/dri/i965_dri.so is provided by the package libgl1-mesa-dri.
>
> So indeed these errors suggest you are now missing that package, or you
> have a permissions problem with it, so I agree you have some
> installation problem with Bryce's package.
>
> Meanwhile this means your system is not even trying to use DRI, so
> clearly you aren't going to trigger any bugs. :-) But I also imagine
> this means you've had a slowdown?
>
> --
> [i965] X freezes starting on April 3rd
> https://bugs.launchpad.net/bugs/359392
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Reach out and share life, care for others,

Revision history for this message
Matt Zimmerman (mdz) wrote :

On Fri, Apr 17, 2009 at 03:41:03PM -0000, wirechief wrote:
> Well thats where this gets very confusing to me.
> with this check. sudo dpkg -l |grep libgl1-mesa-dri
> iU libgl1-mesa-dri 7.4-0ubuntu2~bug359392~1
> but i don't know what the iU stands for ;)
> I don't seem to have a slowdown but i think that is relative if i dont
> know what
> fast is. ;)

U stands for Unpacked, i.e. the package is not properly installed. Run
"sudo apt-get -f install"

--
 - mdz

Revision history for this message
Soeren Sonnenburg (bugreports-nn7) wrote :

On Fri, 2009-04-17 at 14:49 +0000, Timo Jyrinki wrote:
> Dropping 103_bump_965_texture_limit.diff has kept mine and tjaalton's
> i965 machines from crashing for multiple days now. Before dropping it, I
> simply couldn't enable compiz.
>
> I would suggest to drop 103 anyway as it looks like it already helps
> many i965 users, even if it would not be everyone.

Well I am seeing this very same bug in debian too. Debian got mesa 7.4
recently but only includes these patches

02_use-ieee-fp-on-s390-and-m68k.patch
03_optional-progs-and-install.patch
04_osmesa_version.diff.

I've tried various things to nail down the problem.

a) disable compiz / run metacity instead
b) disable aiglx/compositing
c) revert to a known to work self compiled xserver-xorg-video-intel
version 2.6.3

Nothing helped.

I wonder how if the bug is really in mesa and not some other part of
xorg / libdrm ...

Revision history for this message
Ronald McCollam (fader) wrote :

Attached is a script that will switch desktops, sleep for a couple of seconds, switch desktops, sleep... etc. forever. (A quick ugly hack of Shang-Feng Yang's script here: http://sfyang-en.blogspot.com/2008/02/rotate-cube-in-compiz-with-wmctrl.html)

You will need wmctrl installed for this to work (sudo apt-get install wmctrl).

This may be useful in attempting to reproduce this bug.

Revision history for this message
wirechief (wirechief) wrote :

Well I got myself wrapped around a tree with this thing. I tried to
install iU libgl1-mesa-dri
but have a depends issue. gonna have to try and start all over with
it. I must of missed the correct
order of install on the first attempt (being inexperienced at this
sort of thing) but thats how you
get experienced (hits the wall and slides down)................

On Fri, Apr 17, 2009 at 12:03 PM, Matt Zimmerman <email address hidden> wrote:
> On Fri, Apr 17, 2009 at 03:41:03PM -0000, wirechief wrote:
>> Well thats where this gets very confusing to me.
>> with this check. sudo dpkg -l |grep libgl1-mesa-dri
>> iU  libgl1-mesa-dri                            7.4-0ubuntu2~bug359392~1
>> but i don't know what the iU stands for ;)
>> I don't seem to have a slowdown but i think that is relative if i dont
>> know what
>> fast is. ;)
>
> U stands for Unpacked, i.e. the package is not properly installed.  Run
> "sudo apt-get -f install"
>
> --
>  - mdz
>
> --
> [i965] X freezes starting on April 3rd
> https://bugs.launchpad.net/bugs/359392
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Reach out and share life, care for others,

Revision history for this message
wirechief (wirechief) wrote :

this has apt totally confused.
 cannot access libgl1-mesa-dev_7.40ubuntu2_all.deb: No such file or directory
wirechief@wirechief-laptop:/var/cache/apt/archives$ ls libgl1-mesa*.*
libgl1-mesa-dev_7.4-0ubuntu2_all.deb

On Fri, Apr 17, 2009 at 1:09 PM, wirechief <email address hidden> wrote:
> Well I got myself wrapped around a tree with this thing. I tried to
> install  iU  libgl1-mesa-dri
> but have a depends issue. gonna have to try and start all over with
> it. I must of missed the correct
> order of install on the first attempt (being inexperienced at this
> sort of thing)  but thats how you
> get experienced (hits the wall and slides down)................
>
> On Fri, Apr 17, 2009 at 12:03 PM, Matt Zimmerman <email address hidden> wrote:
>> On Fri, Apr 17, 2009 at 03:41:03PM -0000, wirechief wrote:
>>> Well thats where this gets very confusing to me.
>>> with this check. sudo dpkg -l |grep libgl1-mesa-dri
>>> iU  libgl1-mesa-dri                            7.4-0ubuntu2~bug359392~1
>>> but i don't know what the iU stands for ;)
>>> I don't seem to have a slowdown but i think that is relative if i dont
>>> know what
>>> fast is. ;)
>>
>> U stands for Unpacked, i.e. the package is not properly installed.  Run
>> "sudo apt-get -f install"
>>
>> --
>>  - mdz
>>
>> --
>> [i965] X freezes starting on April 3rd
>> https://bugs.launchpad.net/bugs/359392
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>
>
>
> --
> Reach out and share life, care for others,
>

--
Reach out and share life, care for others,

Revision history for this message
Martin Pitt (pitti) wrote :

Slightly improved version of rotate-forever, thanks Ronald for the original version! This one

  - Uses positive arithmetic, since % doesn't turn negative numbers into positive numbers and thus rotation wouldn't work at all for me (It tried to scroll to -1280).
  - add date output every two seconds to the screen (to see when it started freezeing); note that if you are unlucky, it freezes at the wrong desktop and you can't see it
  - add date output to ~/rotate-forever.log, so that after a reboot you can check whether it was the screen freezing, or X.org crashing completely

Revision history for this message
Michael Vogt (mvo) wrote :

I looked over the reports and it seems like the people reporting the problem all have a 8086:2a02 pci id for the primary card.

Revision history for this message
Sebastien Bacher (seb128) wrote :

I've a "8086:2a02 (rev 0c)" and no issue

Revision history for this message
Nicolas Valcarcel (nvalcarcel) wrote :

I've this issue, i've tried to solve it several times sshing into the machine and restarting gdm, but it doesn't work either. Machine needs to be rebooted.

Revision history for this message
Dustin Kirkland  (kirkland) wrote :

I have a Thinkpad x61, with an Intel Mobile GM965/GL960 Integrated Graphics Controller, and can confirm this issue, and the work around.

If I have compiz on, I will eventually, and inevitably have a hung system (flashing caps-lock). It is almost always an alt-tab or a ctrl-alt-left/right that triggers this.

At first I thought it was my compiz settings, so I played a little with the various different effects associated with switching applications and switching desktops. All of them seemed to trigger it, but it seemed like the "fancier" (more intensive?) triggered it sooner.

Alas, compiz generally just keeps me from getting work done, so I usually disable it. I have had none of these problems with compiz off.

Please let me know what else I can do to help.

:-Dustin

Revision history for this message
Jesse Barnes (jbarnes-virtuousgeek) wrote :

Here's a patch to dump error info (if we're actually getting an error) from the i915 interrupt handler. The dump albert provided should also help (looking at it now).

Revision history for this message
Matt Zimmerman (mdz) wrote :

Attaching a reproducer script I'm working on. It's not reliable yet, but seems to make the problem happen more frequently. Sometimes it seems to help to suspend and resume before running it.

Please let us know if this triggers the problem for you.

Revision history for this message
Matt Zimmerman (mdz) wrote :
Download full text (3.1 KiB)

Please note that when the freeze occurs, most of the system is alive and well, only the X server is wedged. It is possible to ssh into the system for debugging purposes.

When I attach to the X server when it is frozen, I see one of the following stack traces:

#0 0x00007fa8715e4cd7 in ioctl () from /lib/libc.so.6
#1 0x00007fa86f5523bd in drm_intel_gem_bo_start_gtt_access () from /usr/lib/libdrm_intel.so.1
#2 0x00007fa85e943241 in intelFinish () from /usr/lib/dri/i965_dri.so
#3 0x00007fa870251ac6 in __glXDisp_SwapBuffers (cl=0x503ff00, pc=<value optimized out>) at ../../glx/glxcmds.c:1425
#4 0x00007fa870254de2 in __glXDispatch (client=0x2065b00) at ../../glx/glxext.c:523
#5 0x000000000044e304 in Dispatch () at ../../dix/dispatch.c:437
#6 0x0000000000433d8d in main (argc=10, argv=0x7fff7ba0b9e8, envp=<value optimized out>) at ../../dix/main.c:397

or

#0 0x00007f8ff1befcd7 in ioctl () from /lib/libc.so.6
#1 0x00007f8ff020d343 in drmIoctl () from /usr/lib/libdrm.so.2
#2 0x00007f8ff020d5cb in drmCommandWrite () from /usr/lib/libdrm.so.2
#3 0x00007f8fefd7f528 in I830Sync (pScrn=0x9950a0) at ../../src/i830_accel.c:214
#4 0x00007f8fef522e6c in exaWaitSync (pScreen=0x9ca4e0) at ../../exa/exa.c:1065
#5 0x00007f8fef5240a1 in ExaDoPrepareAccess (pDrawable=0x5f89630, index=0) at ../../exa/exa.c:509
#6 0x00007f8fef528d99 in exaCopyDirty (migrate=0x7ffffc015458, pValidDst=0x168853d0, pValidSrc=<value optimized out>,
    transfer=0,
    fallback_src=0x5f89670 "��������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������"...,
    fallback_dst=0x7f8fed628880 "", fallback_srcpitch=32, fallback_dstpitch=64, fallback_index=0,
    sync=0x7f8fef522e80 <exaMarkSync>) at ../../exa/exa_migration.c:218
#7 0x00007f8fef52927d in exaDoMoveInPixmap (migrate=0x7ffffc015458) at ../../exa/exa_migration.c:274
#8 0x00007f8fef529a6f in exaDoMigration (pixmaps=0x7ffffc015440, npixmaps=2, can_accel=1) at ../../exa/exa_migration.c:683
#9 0x00007f8fef52af3c in exaTryDriverComposite (op=3 '\003', pSrc=0x5f89930, pMask=0x0, pDst=0x61bffc0, xSrc=0, ySrc=0,
    xMask=<value optimized out>, yMask=<value optimized out>, xDst=<value optimized out>, yDst=<value optimized out>,
    width=<value optimized out>, height=<value optimized out>) at ../../exa/exa_render.c:642
#10 0x00007f8fef52b665 in exaComposite (op=3 '\003', pSrc=0x5f89930, pMask=0x0, pDst=0x61bffc0, xSrc=0, ySrc=0, xMask=0,
    yMask=0, xDst=0, yDst=0, width=17, height=17) at ../../exa/exa_render.c:935
#11 0x0000000000539f78 in damageComposite (op=11 '\v', pSrc=0x5f89930, pMask=0x0, pDst=0x61bffc0, xSrc=0, ySrc=0, xMask=-4,
    yMask=<value optimized out>, xDst=<value optimized out>, yDst=<value optimized out>, width=<value optimized out>,
    height=<value optimized out>) at ../../../miext/damage/damage.c:643
#12 0x00000000005325da in ProcRenderComposite (client=0x71dbe50) at ../../render/render.c:720
#13 0x000000000044e304 in Dispatch () at ../../dix/dispatch.c:437
#14 0x0000000000433d8d in main (argc=10, argv=0x7ffffc015958, envp=<value optimized out>) at ../...

Read more...

Revision history for this message
Matt Zimmerman (mdz) wrote :

Note that repro.sh expects a 1x6 workspace layout (having lots of workspaces and applications open seems to help trigger the bug).

Revision history for this message
Albert Damen (albrt) wrote : Freeze with 2.6.30-rc2

I was able to reproduce the freeze with kernel 2.6.30-rc2 and capture
intel_gpu_dump data.

Revision history for this message
Rick Spencer (rick-rickspencer3) wrote :

Matt Zimmerman's patch caused my computer to freeze. I was previously not experiencing this bug. I ran it once during a session where I had suspended. I hard rebooted, ran the script again, and got the freeze. So in this case, suspend/resume was not directly involved.

Revision history for this message
Matt Zimmerman (mdz) wrote :
Revision history for this message
Rick Spencer (rick-rickspencer3) wrote :

For clarity, in comment 88, I meant to say Matt Zimmerman's script, not his patch.

Revision history for this message
Michael Vogt (mvo) wrote :

I just got confirmation from Dustin and Nicolas that they have a 8086:2a02 as well. Its a additional datapoint (but it may also mean that this is just the most widespread of the 965 family of chips).

Revision history for this message
Bryce Harrington (bryce) wrote :

Hi guys,

Upstream has developed a tool to collect useful data on X freezes. Unfortunately it requires the 2.6.30-rc2 kernel (and a slightly newer libdrm), so we can't put it in jaunty directly. However I've created a PPA for testers:

  https://edge.launchpad.net/~ubuntu-x-swat/+archive/x-freeze-test

You also have to install the 2.6.30-rc2 kernel, which you can get debs for here:

  http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.30-rc2/

Revision history for this message
Jesse Barnes (jbarnes-virtuousgeek) wrote :

Here's an updated one that will dump more info.

Revision history for this message
Bryce Harrington (bryce) wrote :

Using the above packages and debug steps with mdz's handy script, I reproduced the freeze and grabbed this dump.

Revision history for this message
Bryce Harrington (bryce) wrote :

And here's the contents of my /sys/kernel/debug/dri/0

Revision history for this message
Bryce Harrington (bryce) wrote :

Try that again...

Revision history for this message
Jesse Barnes (jbarnes-virtuousgeek) wrote :

FWIW, on my T61 stock Jaunty Beta worked fine. I couldn't reproduce a hang until I did a suspend/resume, which would usually die shortly after resuming (nothing special needed). Even after updating things seem ok.

However with a 2.6.30ish kernel (from the drm-intel-next branch) things hang very quickly, before login even completes. Using my debug patch I see a bunch of instruction parse errors that don't make much sense...

Revision history for this message
Rick Spencer (rick-rickspencer3) wrote :

I took the latest mesa update. The repro script still hangs my machine, but I'm not seeing any regressions in compiz or metacity.

Revision history for this message
Dustin Kirkland  (kirkland) wrote :

FYI...

Upgraded my mesa to 7.4-0ubuntu3, rebooted, reran mdz's repro.sh script... Same issue, hung X.

:-Dustin

Revision history for this message
Bryce Harrington (bryce) wrote :

Crashy stuff in dmesg...

Revision history for this message
Bryce Harrington (bryce) wrote :
Revision history for this message
Dustin Kirkland  (kirkland) wrote :

Followed the instructions at:
 * https://edge.launchpad.net/~ubuntu-x-swat/+archive/x-freeze-test

Attaching the crash information here...

:-Dustin

Revision history for this message
Dustin Kirkland  (kirkland) wrote :

Also attaching some more diagnostics out of /sys/kernel/debug/dri/0/i915*...

:-Dustin

Revision history for this message
Leann Ogasawara (leannogasawara) wrote :

I've rebuilt i915.ko against the latest Jaunty git HEAD with jbranes' patch from http://launchpadlibrarian.net/25685701/i915-error-info-2.patch . Unfortunately my system with the Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller [8086:2a02] (rev 0c) is locking up hard before I'm even able to run mdz's test script. I can't even ssh into the machine to see if any additional debug messages were logged. If anyone else could give it a try that would be great.

Revision history for this message
Jithin Emmanuel (jithin1987) wrote :

I am using UXA in my i965 system with no freezes for the past 2 days.

Revision history for this message
Matthew Woerly (nattgew) wrote :

My 8086:2a02 froze about every day for a little while, but for about a week now I haven't had any problems.

Revision history for this message
Andres Mujica (andres.mujica) wrote :

i was able to get a bt from a tipical freeze for this bug. *without kernel panic, nor caps lock tiling*

hope the backtrace includes interesting information.

Revision history for this message
Bryce Harrington (bryce) wrote :

Jithin, it would be useful if you could try running with EXA and no modifications to your xorg.conf, using the mesa 7.4-0ubuntu3, with compiz forced on (see http://ubuntuforums.org/showthread.php?t=582112). This would help us identify if reverting patch 103 solves the problem for this case, so we can know whether this bug report can be closed.

(We know there are other freeze bugs that this update does not fix, so those will have to be addressed separately.)

Revision history for this message
Daniel Holbach (dholbach) wrote :

No crash for me.
 - 00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
 - on a Lenovo X61s
 - No exciting xorg.conf
 - Created new user (uses compiz)
 - let pitti's rotate-forever script running for 6+ hours with glxgears, googleearth, crack-attack and other stuff on the workpsaces.
 - mesa 7.4-0ubuntu2.

No crash.

Revision history for this message
Daniel Holbach (dholbach) wrote :

compiz 1:0.8.2-0ubuntu7.

Revision history for this message
Soeren Sonnenburg (bugreports-nn7) wrote : Re: [Bug 359392] Re: [i965] X freezes starting on April 3rd

On Fri, 2009-04-17 at 22:35 +0000, Michael Vogt wrote:
> I just got confirmation from Dustin and Nicolas that they have a
> 8086:2a02 as well. Its a additional datapoint (but it may also mean that
> this is just the most widespread of the 965 family of chips).

Yeah, but 8086:27ae here and same problem.

Revision history for this message
Jithin Emmanuel (jithin1987) wrote :

@Bryce. I will try with UXA off. I was using UXA because it seems to fix for me this annoying KDE bug

https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/338669

Also I am using kde with kwin desktop effects so the compiz part won't apply to me.

Revision history for this message
Rick Spencer (rick-rickspencer3) wrote :

@Daniel, @Seb: Could you please try Matt's script to see if that can repro the freeze on your hardware?

Revision history for this message
Soeren Sonnenburg (bugreports-nn7) wrote :

On Sat, 2009-04-18 at 04:56 +0000, Jithin Emmanuel wrote:
> @Bryce. I will try with UXA off. I was using UXA because it seems to fix
> for me this annoying KDE bug
>
> https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-
> ati/+bug/338669
>
> Also I am using kde with kwin desktop effects so the compiz part won't
> apply to me.

This bug is not related to compiz anyway as it happens with plain
metacity too.

Revision history for this message
Jithin Emmanuel (jithin1987) wrote :

I just had a freeze on the very first login after I turned UXA off. Seems that I have to go back to UXA ( though it breaks switch user)

Revision history for this message
Bryce Harrington (bryce) wrote :

Thanks Jithin.

Revision history for this message
Jithin Emmanuel (jithin1987) wrote :

@Bryce. I tried the repro.sh script. System froze *without UXA*. and I ran the script after turning *UXA on*. It worked smoothly.

Revision history for this message
Bryce Harrington (bryce) wrote :

Jithin, do you wish to pursue getting the underlying EXA fix resolved or do you consider UXA the ultimate fix for you?

If the former, then we have some additional steps for you to follow to collect necessary information to properly debug it. If the latter, I guess we can utilize other people's reports and leave this report until the UXA switch is made.

Revision history for this message
Rick Spencer (rick-rickspencer3) wrote :

While this is not definitive, I ran 10 instances on glx gear on various desktops, two full screen movies, one in totem and one in mplayer on two different desktops, and opened about 15 or 20 terminal windows. Matt Zimmerman's script does not work in metacity, so I manually switched desktops for 10 minutes while these apps were running, and I was not able to reproduce the freeze, which repros easily under compiz with Matt Zimmerman's script.

Revision history for this message
Daniel Holbach (dholbach) wrote :

Rick: no crash with 1.5h of repro.sh on
 - 00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
 - on a Lenovo X61s
 - No exciting xorg.conf
 - Created new user (uses compiz)
 - mesa 7.4-0ubuntu3.
 - compiz 1:0.8.2-0ubuntu8.

Revision history for this message
Timo Jyrinki (timo-jyrinki) wrote :

Here's lspci -vnn of 2a02 rev 0c for which disabling the 103 max texture size patch (now in ubuntu3) helped and zero crashes now even with compiz and heavy rotate-forever usage etc.

My previous thought about disabling 103 helping only amd64 proved false, and also screen resolutions vary (machines with 1024x768, 1400x900 and no crashes, other machines with same resolutions with crashes). Also memory size seems not to matter, I (and tjaalton) used mem=1G and we couldn't get our machine to crash either.

There is probably nothing (?) people not getting the crashes with the help of latest mesa ubuntu3 can currently do to help. Note that 2a02 was now blacklisted in compiz, so if you don't have crashes you can edit /usr/bin/compiz and comment out the line with 2a02.

Revision history for this message
Bryce Harrington (bryce) wrote :

After updating to the official mesa-7.4-0ubuntu3 I got the freeze after about 4 hrs continuous use. Again, it happened during an alt-tab and was associated with a period of sluggish performance.

I pretty much already knew from prior testing that the fix wouldn't solve it for me, although I was surprised it lasted 4 hrs, usually it hit within 1 hour.

One thing that is quite interesting to note is that the intel_gpu_dump output is completely different from both these two cases.

Revision history for this message
wirechief (wirechief) wrote :

Linux wirechief-laptop 2.6.30-020630rc2-generic #020630rc2 SMP Wed Apr 15 13:20:18 UTC 2009 x86_64 GNU/Linux
sudo dpkg -l |grep mesa
ii libgl1-mesa-dev 7.4-0ubuntu3 A free implementation of the OpenGL API -- G
ii libgl1-mesa-dri 7.4-0ubuntu3 A free implementation of the OpenGL API -- D
ii libgl1-mesa-dri-dbg 7.4-0ubuntu3 Debugging symbols for the Mesa DRI modules
ii libgl1-mesa-glx 7.4-0ubuntu3 A free implementation of the OpenGL API -- G
ii libgl1-mesa-glx-dbg 7.4-0ubuntu3 Debugging symbols for the Mesa GLX runtime
ic libgl1-mesa-swx11 7.4-0ubuntu2~bug359392~1 A free implementation of the OpenGL API -- r
ii libglu1-mesa 7.4-0ubuntu3 The OpenGL utility library (GLU)
ii libglu1-mesa-dev 7.4-0ubuntu3 The OpenGL utility library -- development fi
ii libosmesa6 7.4-0ubuntu3 Mesa Off-screen rendering extension
ii mesa-common-dev 7.4-0ubuntu3 Developer documentation for Mesa
ii mesa-utils 7.4-0ubuntu3 Miscellaneous Mesa GL utilities

I am not getting freezes but am wondering why I get this with the repro.sh script
 sh repro.sh
repro.sh: 3: wmctrl: not found
repro.sh: 20: arithmetic expression: expecting primary: " * 0"

my xorg.conf is here
Section "Monitor"
 Identifier "Configured Monitor"
EndSection

Section "Screen"
 Identifier "Default Screen"
 Monitor "Configured Monitor"
 Device "Configured Video Device"
EndSection

Section "Device"
 Identifier "Configured Video Device"
EndSection

Section "Device"
 Identifier "Onboard Intel Video"
 Option "AccelMethod" "exa"
 #Option "monitor-VGA" "ExternalVGA"
 #Option "monitor-LVDS" "OnboardLVDS"
 #Option "EXAOptimizeMigration" "true"
 #Option "MigrationHeuristic" "greedy"
 #Option "AccelMethod" "uxa"
EndSection

Section "ServerFlags"
 Option "DontZap" "False"
EndSection

cat /var/log/Xorg.0.log |grep "(EE)"
 (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
wirechief@wirechief-laptop:~$

Revision history for this message
Daniel Holbach (dholbach) wrote :

wirechief: install the wmctrl package.

Revision history for this message
Jithin Emmanuel (jithin1987) wrote :

@bryce although I am happy with UXA I am willing to help out with EXA, if you can tell me what to do.

Revision history for this message
Bryce Harrington (bryce) wrote :

On Sat, Apr 18, 2009 at 08:59:31AM -0000, Jithin Emmanuel wrote:
> @bryce although I am happy with UXA I am willing to help out with EXA,
> if you can tell me what to do.

Sure, directions are here:

  https://edge.launchpad.net/~ubuntu-x-swat/+archive/x-freeze-test/

Collect the dump and also tar up the contents of /sys/kernel/debug/dri/

Revision history for this message
Nicolas Valcarcel (nvalcarcel) wrote :

The script crashes my machine within a < 5 minutes window, tested 2 times already.

Revision history for this message
Jithin Emmanuel (jithin1987) wrote :

OMG. I had my first freeze with UXA, in 3 days. I just opened Kdevelop an tried to open a project. This is the first time I am using this app. And X froze. Though after that I could not reproduce the freeze.

Revision history for this message
Jithin Emmanuel (jithin1987) wrote :

After installing this new kernel will I be able to revert back to original jaunty packages?

Revision history for this message
Jithin Emmanuel (jithin1987) wrote :

@Bryce I cannot reproduce freeze in 2.6.30-020630rc2-generic kernel. but with 2.6.28 kernel I can.

Revision history for this message
Dave Conniff (chronniff) wrote :

I just installed the compiz update that blacklisted my intel gm965 video card, and so i booted into metacity, (where I realized how used to the desktop effects I have gotten), but guess what, X freezes again, this bug is seriously a pain in the ass, I mean it doesn't even seem as though anything in particular sets it off.....sometimes it will happen when you are switching between many apps and in doing so overtaxing xorg somehow, but then other times, it will happen when I am merely scrolling through some text ( although I have noticed that firefox is often involved in the freezes). Its absolutely frustrating me

Revision history for this message
wirechief (wirechief) wrote :

@daniel Holbrook I installed the wmctrl package. it gets further than before ...
sh repro.sh
[sudo] password for wirechief:
repro.sh: 20: arithmetic expression: expecting EOF: "1280
1280 * 0"

hmm chws 0 not sure what that is, is it line 20 that the script is blowing out ?

Revision history for this message
wirechief (wirechief) wrote :

looking again it appears to be a label but something with the aritmetic.

Revision history for this message
Rick Spencer (rick-rickspencer3) wrote :

@wirecheif

The symptom that you are seeing in Matt Zimmerman's script occurs when it is running under metacity. For folks who have updated since April 17th, they will see this because i965 are for the time being blacklisted for Jaunty so that users do not run into this freeze until the underlying problem is solved.

In the meantime, you can override the blacklist by starting compiz at the command line by issuing this command:

SKIP_CHECKS=yes compiz

Revision history for this message
wirechief (wirechief) wrote :

ok, that did it. the script ran and now the r61e laptop is locked up
with for terminal screens across
the screen, am going to update the bug report.

On Sat, Apr 18, 2009 at 10:40 AM, Rick Spencer
<email address hidden> wrote:
> @wirecheif
>
> The symptom that you are seeing in Matt Zimmerman's script occurs when
> it is running under metacity. For folks who have updated since April
> 17th, they will see this because i965 are for the time being blacklisted
> for Jaunty so that users do not run into this freeze until the
> underlying problem is solved.
>
> In the meantime, you can override the blacklist by starting compiz at
> the command line by issuing this command:
>
> SKIP_CHECKS=yes compiz
>
> --
> [i965] X freezes starting on April 3rd
> https://bugs.launchpad.net/bugs/359392
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Reach out and share life, care for others,

Revision history for this message
wirechief (wirechief) wrote :

here is the bug report...

Revision history for this message
Jesse Barnes (jbarnes-virtuousgeek) wrote :

Leann, I was seeing the same thing (hard lockup at login) with 2.6.30-rc2 from the drm-intel-next branch with my patch applied. It could be due to my patch or some other interaction with more recent kernels. I'm trying to reproduce the problem with 2.6.28 now (first the Ubuntu kernel then one with my patch applied), still waiting for the test script to crash my machine though.

Revision history for this message
Timo Jyrinki (timo-jyrinki) wrote :

Could someone who is easily getting the crash (with eg. repro.sh) try albert's tip?

14:40 < albert23> With Virtual 2048 2048 in display subsection in xorg.conf I could run the test script without freezing for more then an hour
14:40 < albert23> After removing that etting X froze again in less then 2 minutes
14:41 < albert23> I originally used it to solve the slow cube rotation. Effect is that you get more EXA offscreen memory
14:43 < albert23> For me EXA offscreen memory goes up from 19 to 49 MB

Revision history for this message
wirechief (wirechief) wrote :

can you give a example for this setting (make sure its inserted
correctly) i dont have a display
subsection.

On Sat, Apr 18, 2009 at 12:49 PM, Timo Jyrinki <email address hidden> wrote:
> Could someone who is easily getting the crash (with eg. repro.sh) try
> albert's tip?
>
> 14:40 < albert23> With Virtual 2048 2048 in display subsection in xorg.conf I could run the test script without freezing for more then an hour
> 14:40 < albert23> After removing that etting X froze again in less then 2 minutes
> 14:41 < albert23> I originally used it to solve the slow cube rotation. Effect is that you get more EXA offscreen memory
> 14:43 < albert23> For me EXA offscreen memory goes up from 19 to 49 MB
>
> --
> [i965] X freezes starting on April 3rd
> https://bugs.launchpad.net/bugs/359392
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Reach out and share life, care for others,

Revision history for this message
Jithin Emmanuel (jithin1987) wrote :

I am not able to reproduce freeze with 30 rc2 kernel but with 28 I can. I used the repro.sh script.

Revision history for this message
Rick Spencer (rick-rickspencer3) wrote :

I crudely hacked Matt Zimmerman's script to try to stress metacity in an effort to confirm that falling back to metacity will, in fact, stop the freeze from occurring. As far as I can tell wmcntrl -o does not work under metacity, so the modified script uses wmcntrl -s, which simply switches to the designated workspace. Note that shell scripting is far from my forte, so any adjustments to the script are most welcome. Also, note that you have to:
1. Install wmcntrl
2. Install mplayer
3. Edit the script to specify your screen height and width.

Under compiz, Matt Zimmerman's script freezes my computer in a few minutes. Under metacity, my script did not freeze my computer in 35 minutes. I also did a suspend/resume, and ran the script for another 45 minutes without freezing.

Revision history for this message
Alexey Osipov (lion-simba) wrote :

Confirm that bug but with NVIDIA 7600 GT. Proprietary driver version 180.
So I think that's not only intel issue.

Revision history for this message
Bryce Harrington (bryce) wrote :

On Sat, Apr 18, 2009 at 05:58:31PM -0000, Alexey Osipov wrote:
> Confirm that bug but with NVIDIA 7600 GT. Proprietary driver version 180.
> So I think that's not only intel issue.

No, let's not let the focus of this bug drift. We even already are
pretty sure that we are seeing multiple different bugs with the GPU
lockups on -intel, and that's with the same hw and driver.

You have the same *symptom* (a frozen X) but it has to be a separate
bug. This bug is ONLY going to focus on freezes with -intel on i965.

Indeed, the troubleshooting tools and approach we're using is only
applicable to -intel anyway.

Furthermore, since you're using the proprietary driver, your problem
probably can't be fixed by Ubuntu anyway.

Revision history for this message
Sebastien Bacher (seb128) wrote :

interesting new comments, as written before on IRC I'm using stock jaunty I've no speed or hang issue, the only revelant change I've in the xorg configuration is:

" SubSection "Display"
  Virtual 2840 1050
 EndSubSection""

I've just commented it and tried mdz repro code and workspace is immediatly slugish, I didn't get a freeze yet but that seems to make a real difference

Revision history for this message
wirechief (wirechief) wrote :

I tried adding this to my xorg.conf
SubSection "Display"
               Virtual 2048 2048
EndSubSection
when i run the script like this:
 sh repro.sh
[sudo] password for wirechief:
repro.sh: 20: arithmetic expression: expecting EOF: "1280
1280 * 0"
it just stopped, I don't know if its the adding of this or not, I will comment it out to see if the script works.

Revision history for this message
Jesse Barnes (jbarnes-virtuousgeek) wrote :

I still haven't been able to reproduce this. I did notice that Albert, Dustin and Bryce's intel_gpu_dump output was identical though (all had what looked like i965 render commands in them). Some people have reported that using EXA greedy migration made the bug go away, I wonder if disabling render accel altogether would as well (ExaNoComposite true in xorg.conf)? Can someone who's seeing this frequently give that a try?

So far the closest I've come to seeing this with Jaunty is by starting 50 instances of glxgears. That makes X pretty much unusable (all my windows grey out and no other rendering seems possible). That's pretty pathological though, so probably isn't the problem, though it does indicate some issues with our GPU scheduler under high load.

Revision history for this message
Zack Evans (zevans23) wrote :

@Sebastien: The Intel driver doesn't do acceleration with Virtual over 2048 - known limitation

Revision history for this message
Henning Eggers (henninge) wrote :

My current situation:
After upgrading to jaunty I first experienced a heavy drop in video performance. Later I experienced the first freeze, related to maximizing an application window, I think. A few days later the screen froze again, twice within about two hours. I was given the hint to disable compiz which I did. No more freezes since then.

Revision history for this message
Tom Jaeger (thjaeger) wrote :

I still see freezes with render acceleration turned off, although I'm
not quite sure if it's the same issue that everyone else is experiencing
(I've had these freezes for at least half a year). I can reliable
reproduce the freeze by opening ~10 fullscreen windows, minimizing some
of them and then pressing Alt+Tab. I've attached a backtrace and a gpu
dump.

JesseBarnes wrote:
> I still haven't been able to reproduce this. I did notice that Albert,
> Dustin and Bryce's intel_gpu_dump output was identical though (all had
> what looked like i965 render commands in them). Some people have
> reported that using EXA greedy migration made the bug go away, I wonder
> if disabling render accel altogether would as well (ExaNoComposite true
> in xorg.conf)? Can someone who's seeing this frequently give that a
> try?
>
> So far the closest I've come to seeing this with Jaunty is by starting
> 50 instances of glxgears. That makes X pretty much unusable (all my
> windows grey out and no other rendering seems possible). That's pretty
> pathological though, so probably isn't the problem, though it does
> indicate some issues with our GPU scheduler under high load.
>

Revision history for this message
Matt Zimmerman (mdz) wrote :

On Sat, Apr 18, 2009 at 09:17:10PM -0000, Zack Evans wrote:
> @Sebastien: The Intel driver doesn't do acceleration with Virtual over
> 2048 - known limitation

Sebastien said he was running fine with the large Virtual setting, but that
he got sluggish performance after *removing* it.

I think that makes two independent reports of setting Virtual avoiding the
problem somehow.

--
 - mdz

Revision history for this message
Tom Jaeger (thjaeger) wrote :

> I think that makes two independent reports of setting Virtual avoiding the
> problem somehow.

I still get freezes even with offscreen pixmap memory increased. But
the setting is a keeper anyway, since it improves compiz performance
noticeably. Is there any reason that the intel driver is so stingy with
  pixmap memory (at 2048x2048 there's only room for 3 fullscreen
pixmaps, for example)?

Revision history for this message
Rick Spencer (rick-rickspencer3) wrote :

@Jesse:
I ran repro.sh with this:

Section "Device"
 Identifier "Configured Video Device"
 Option "AccelMethod" "EXA"
        Option "ExaNoComposite" "true"
EndSection

and then this

Section "Device"
 Identifier "Configured Video Device"
 #Option "AccelMethod" "EXA"
        Option "ExaNoComposite" "true"
EndSection

My computer froze as per usual. Please let me know if I didn't set it correctly so I can try again.

Revision history for this message
Jithin Emmanuel (jithin1987) wrote :

Finally I was able to reproduce the freeze on 2.6.30-020630rc2 kernel, though the repro.sh script did not help. It just happened pure randomly.

Attaching my freeze_dump.txt. I could not find any files at /sys/kernel/debug/dri/

Revision history for this message
Timo Jyrinki (timo-jyrinki) wrote :

wirechief: Regarding your problems in running repro.sh, it's not posix compatible script so you'll want to run it eg. "bash repro.sh", not "sh repro.sh". Also, do not forget to set 6 workspaces (by right clicking on the workspace switcher) instead of the default 2 or 4.

Revision history for this message
Vincenzo Ciancia (vincenzo-ml) wrote :

I have a 8086:27a2 card and it froze in jaunty, likely for the same problem.

Revision history for this message
Bryce Harrington (bryce) wrote :

On Sun, Apr 19, 2009 at 12:21:50AM -0000, Jithin Emmanuel wrote:
> Attaching my freeze_dump.txt. I could not find any files at
> /sys/kernel/debug/dri/

Probably because you have to explicitly mount /sys/kernel/debug

Revision history for this message
Jithin Emmanuel (jithin1987) wrote :

I did mount.

On Sun, Apr 19, 2009 at 3:18 PM, Bryce Harrington <<email address hidden>
> wrote:

> On Sun, Apr 19, 2009 at 12:21:50AM -0000, Jithin Emmanuel wrote:
> > Attaching my freeze_dump.txt. I could not find any files at
> > /sys/kernel/debug/dri/
>
> Probably because you have to explicitly mount /sys/kernel/debug
>
> --
> [i965] X freezes starting on April 3rd
> https://bugs.launchpad.net/bugs/359392
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Regards
Jithin Emmanuel
http://spotm.in
W. C. Fields <http://www.brainyquote.com/quotes/authors/w/w_c_fields.html>
- "A rich man is nothing but a poor man with money."

Revision history for this message
Albert Damen (albrt) wrote :

On Sat, 2009-04-18 at 21:17 +0000, Zack Evans wrote:
> @Sebastien: The Intel driver doesn't do acceleration with Virtual over
> 2048 - known limitation
>

That limitation does not apply to GM965.

Revision history for this message
Jerone Young (jerone) wrote :

Wikipedia has a table of all the Intel cards here (along with pci ids):
http://en.wikipedia.org/wiki/Intel_GMA

 The GM965 is questions is the x3100 mobile part.

@Vincenzo
   Your card is a GMA 950 card.

Revision history for this message
Albert Damen (albrt) wrote :

On Sat, 2009-04-18 at 21:02 +0000, JesseBarnes wrote:
> I wonder if disabling render accel altogether would as well (ExaNoComposite true
> in xorg.conf)? Can someone who's seeing this frequently give that a try?

With ExaNoComposite true X still froze. Actually, it even seems to
freeze faster. First attempt the freeze happened when repro.sh was
opening terminal windows. Second time the freeze happened in some 30
seconds. Normally it takes me about 2 to 3 minutes to get the freeze.
Attached are the dump and logs of the second test.

Revision history for this message
Jerone Young (jerone) wrote :

- ran rotate-forever for 45 min with no crash
      * even launched 5 instances of glxgears

Then I ran repo.sh
 - ran fine for about 10 minutes, then I started to interact with the machine to close it out, and as I was about to close the huge glxgears window it crashed the system.

I have a Thinkpad T61 with i965 chipset & x3100 (GM965), 4 gigs of RAM, & a Intel Core 2 Dou T7300 2.00GHZ

Revision history for this message
Jesse Barnes (jbarnes-virtuousgeek) wrote :

@Albert
Assuming you're seeing the same root problem that vindicates the 965 render acceleration code.

Revision history for this message
Matt Zimmerman (mdz) wrote :

On Sun, Apr 19, 2009 at 03:23:44PM -0000, Jerone Young wrote:
> Then I ran repo.sh
> - ran fine for about 10 minutes, then I started to interact with the machine to close it out, and as I was about to close the huge glxgears window it crashed the system.

When you say "crashed the system" are you speaking literally? The normal
symptom for this bug is that the X server gets wedged, but the system does
NOT crash (it's possible to ssh in and debug). However, at least Dustin has
reported kernel panics (flashing caps lock), which may or may not be a
different bug.

--
 - mdz

Revision history for this message
Bryce Harrington (bryce) wrote :

dumps from my latest freeze on my laptop.

Revision history for this message
Oliver Grawert (ogra) wrote :

using a 8086:2a02 (rev 03) card as reported by lspci -n i could run the script for about 20h without hitting a lockup ...
i *do* see lockups though in normal operation as well as the massive slowdown with alt-tab and during workspace switching (which might be another bug)

Revision history for this message
Ken VanDine (ken-vandine) wrote :

I tested repro.sh on my G965 (8086:29a3), no lockups. Tested with both default X conf and with UXA.

Revision history for this message
Andres Monroy-Hernandez (andresmh) wrote :

After updating my Jaunty box I could not use Compiz anymore. Someone pointed out that this bug was the cause. I am running:
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)

Revision history for this message
Rick Spencer (rick-rickspencer3) wrote :

@Andres -

Correect. compiz is (for the time being) blacklisting this particular chip so that users do not lose data to encountering a freeze. The blacklisting will be removed when this bug is fixed.

Revision history for this message
Soeren Sonnenburg (bugreports-nn7) wrote :

On Mon, 2009-04-20 at 14:25 +0000, Rick Spencer wrote:
> @Andres -
>
> Correect. compiz is (for the time being) blacklisting this particular
> chip so that users do not lose data to encountering a freeze. The
> blacklisting will be removed when this bug is fixed.

At least for me disabling compiz is of no use as I get freezes with
plain metacity too.

Revision history for this message
Martin Pitt (pitti) wrote :

Soeren Sonnenburg [2009-04-20 15:03 -0000]:
> At least for me disabling compiz is of no use as I get freezes with
> plain metacity too.

Are you using any 3D application, 3D screensaver, or anything like
that?

Revision history for this message
Jithin Emmanuel (jithin1987) wrote :

Well you are not alone. I have freezes with plain kwin with out any desktop
effects. I believe disabling effects just reduces slightly the frequency of
freezes not completely remove them.

For kubuntu will the desktop effects be turned off by default for this chip?

On Mon, Apr 20, 2009 at 8:33 PM, Soeren Sonnenburg <email address hidden>wrote:

> On Mon, 2009-04-20 at 14:25 +0000, Rick Spencer wrote:
> > @Andres -
> >
> > Correect. compiz is (for the time being) blacklisting this particular
> > chip so that users do not lose data to encountering a freeze. The
> > blacklisting will be removed when this bug is fixed.
>
> At least for me disabling compiz is of no use as I get freezes with
> plain metacity too.
>
> --
> [i965] X freezes starting on April 3rd
> https://bugs.launchpad.net/bugs/359392
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Regards
Jithin Emmanuel
http://spotm.in
Jonathan Swift<http://www.brainyquote.com/quotes/authors/j/jonathan_swift.html>
- "May you live every day of your life."

Revision history for this message
Zack Evans (zevans23) wrote :

I've been thinking about the tangle of package versions we've got now and it prompted a couple of thoughts.

1. What happens when you have libgl1-mesa-glx AND lib-gl1-mesa-swx11 installed?

AIUI -glx is the hw-acceleration version of OpenGL and will therefore trigger any DRI bugs we have and generally sweat the graphics hardware fully, whereas -swx11 is a software rendering engine for OpenGL and unlikely to use the full capabilities of the chipset.

Could it be we have some people here with swx11 accidentally installed therefore putting them into software render mode, and therefore going -around- any bugs in the hw?

I notice wirechief has ended up with both installed... glx "official" 7.4-0ubuntu3 but swx11 from Bryce's purple version.

2. What libosmesa6 do - "Mesa Off-screen rendering extension"

I don't have it installed, I guess because no other package has ever pulled it in. If I ask to install -swx11 then I need to install this library too... so I haven't, yet, but might be interesting to see if it changes my symptoms.

I've gone to 7.4-0ubuntu3 and I CAN now boot with EXA + greedy under 2.6.30RC2 - I had a freeze straightaway in X with 7.4.0ubuntu2. So something's fixed in EXA mode at least...

Revision history for this message
Soeren Sonnenburg (bugreports-nn7) wrote :

On Mon, 2009-04-20 at 15:12 +0000, Martin Pitt wrote:
> Soeren Sonnenburg [2009-04-20 15:03 -0000]:
> > At least for me disabling compiz is of no use as I get freezes with
> > plain metacity too.
>
> Are you using any 3D application, 3D screensaver, or anything like
> that?

No nothing. But please note that I am on debian-sid but do have the very
same symptons described here all over the place (freeze of screen, mouse
cursor still working). As I stated before debian does not have all the
ubuntu patches but unfortunately everything upgraded, xorg, mesa, intel
drivers (drm and display driver) at the same time. However, I still get
the crash when downgrading the intel driver to 2.6.3 (which was known to
work reliably). Unfortunately I had to stop there, the bug seems to
complex for proper bisecting (under my time constraints).

Revision history for this message
Mingming Ren (portis25) wrote :

I also experience this kind of freeze. It appears quite often when I'm using compiz. It freezes, but the mouse can move.
Then I turned off compiz, and upgraded mesa, xserver, intel driver, and kernel to the very up-to-date git version.

It worked for two days without freeze, until this afternoon. It freezed, but the mouse can still move.

Revision history for this message
wirechief (wirechief) wrote :

So far I have not had any freezes. and you are right this is installed.
ic libgl1-mesa-swx11 7.4-0ubuntu2~bug359392~1
I thought about removing it and just updating, but have not done so.
perhaps I should and see if freezes start.
however I am also unable to run the repro.sh perhaps i need to re-run
SKIP_CHECKS=yes compiz and that will allow the script to run but at this
point I know the script will freeze my system and freeze it right away.
(not fun)

On Mon, Apr 20, 2009 at 11:21 AM, Zack Evans <email address hidden> wrote:
> I've been thinking about the tangle of package versions we've got now
> and it prompted a couple of thoughts.
>
> 1. What happens when you have libgl1-mesa-glx AND lib-gl1-mesa-swx11
> installed?
>
> AIUI -glx is the hw-acceleration version of OpenGL and will therefore
> trigger any DRI bugs we have and generally sweat the graphics hardware
> fully, whereas -swx11 is a software rendering engine for OpenGL and
> unlikely to use the full capabilities of the chipset.
>
> Could it be we have some people here with swx11 accidentally installed
> therefore putting them into software render mode, and therefore going
> -around- any bugs in the hw?
>
> I notice wirechief has ended up with both installed... glx "official"
> 7.4-0ubuntu3 but swx11 from Bryce's purple version.
>
> 2. What libosmesa6 do - "Mesa Off-screen rendering extension"
>
> I don't have it installed, I guess because no other package has ever
> pulled it in. If I ask to install -swx11 then I need to install this
> library too... so I haven't, yet, but might be interesting to see if it
> changes my symptoms.
>
> I've gone to 7.4-0ubuntu3 and I CAN now boot with EXA + greedy under
> 2.6.30RC2 - I had a freeze straightaway in X with 7.4.0ubuntu2. So
> something's fixed in EXA mode at least...
>
> --
> [i965] X freezes starting on April 3rd
> https://bugs.launchpad.net/bugs/359392
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Reach out and share life, care for others,

Revision history for this message
wirechief (wirechief) wrote :

nope i needed to use bash in front of the script. its currently running....

On Mon, Apr 20, 2009 at 12:28 PM, wirechief <email address hidden> wrote:
> So far I have not had any freezes. and you are right this is installed.
> ic  libgl1-mesa-swx11                          7.4-0ubuntu2~bug359392~1
> I thought about removing it and just updating, but have not done so.
> perhaps I should and see if freezes start.
> however I am also unable to run the repro.sh perhaps i need to re-run
> SKIP_CHECKS=yes compiz and that will allow the script to run but at this
> point I know the script will freeze my system and freeze it right away.
> (not fun)
>
> On Mon, Apr 20, 2009 at 11:21 AM, Zack Evans <email address hidden> wrote:
>> I've been thinking about the tangle of package versions we've got now
>> and it prompted a couple of thoughts.
>>
>> 1. What happens when you have libgl1-mesa-glx AND lib-gl1-mesa-swx11
>> installed?
>>
>> AIUI -glx is the hw-acceleration version of OpenGL and will therefore
>> trigger any DRI bugs we have and generally sweat the graphics hardware
>> fully, whereas -swx11 is a software rendering engine for OpenGL and
>> unlikely to use the full capabilities of the chipset.
>>
>> Could it be we have some people here with swx11 accidentally installed
>> therefore putting them into software render mode, and therefore going
>> -around- any bugs in the hw?
>>
>> I notice wirechief has ended up with both installed... glx "official"
>> 7.4-0ubuntu3 but swx11 from Bryce's purple version.
>>
>> 2. What libosmesa6 do - "Mesa Off-screen rendering extension"
>>
>> I don't have it installed, I guess because no other package has ever
>> pulled it in. If I ask to install -swx11 then I need to install this
>> library too... so I haven't, yet, but might be interesting to see if it
>> changes my symptoms.
>>
>> I've gone to 7.4-0ubuntu3 and I CAN now boot with EXA + greedy under
>> 2.6.30RC2 - I had a freeze straightaway in X with 7.4.0ubuntu2. So
>> something's fixed in EXA mode at least...
>>
>> --
>> [i965] X freezes starting on April 3rd
>> https://bugs.launchpad.net/bugs/359392
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>
>
>
> --
> Reach out and share life, care for others,
>

--
Reach out and share life, care for others,

Revision history for this message
Jesse Barnes (jbarnes-virtuousgeek) wrote :

@Bryce
Your last hang is right after a render accel request again (the GPU dump indicates that), but the interrupt state and such look ok:
Interrupt enable: 00020053 <- user interrupts are on, which is good since we use those to wait for requests to complete
Interrupt identity: 00000000 <- no interrupts pending atm, which should be ok
Interrupt mask: fffcdfac
Pipe A stat: 00040000 <- pipe stats shouldn't matter here, but fwiw vblank interrupts are on
Pipe B stat: 00000206 <- and one has occurred on pipe B
Interrupts received: 308241 <- interrupt count seems reasonable (you'll get lots of them)
Current sequence: 553893 <- hw finished with request # 553893
Waiter sequence: 553897 <- most recent request #
IRQ sequence: 553890 <- most recently signalled request completion (should be <= current sequence, so it's ok)

The active request list looks ok too, the seqnos are all in the future though, which means software is still waiting for rendering to complete... Just to confirm, if you repeatedly cat i915_gem_interrupt you don't see the interrupts received or any of the sequence numbers change?

Revision history for this message
wirechief (wirechief) wrote :

it has been running now for over 40 minutes, simply amazing from my
first experience with it.
im gonna close all those windows now and terminate the test.

On Mon, Apr 20, 2009 at 12:29 PM, wirechief <email address hidden> wrote:
> nope i needed to use bash in front of the script. its currently running....
>
> On Mon, Apr 20, 2009 at 12:28 PM, wirechief <email address hidden> wrote:
>> So far I have not had any freezes. and you are right this is installed.
>> ic  libgl1-mesa-swx11                          7.4-0ubuntu2~bug359392~1
>> I thought about removing it and just updating, but have not done so.
>> perhaps I should and see if freezes start.
>> however I am also unable to run the repro.sh perhaps i need to re-run
>> SKIP_CHECKS=yes compiz and that will allow the script to run but at this
>> point I know the script will freeze my system and freeze it right away.
>> (not fun)
>>
>> On Mon, Apr 20, 2009 at 11:21 AM, Zack Evans <email address hidden> wrote:
>>> I've been thinking about the tangle of package versions we've got now
>>> and it prompted a couple of thoughts.
>>>
>>> 1. What happens when you have libgl1-mesa-glx AND lib-gl1-mesa-swx11
>>> installed?
>>>
>>> AIUI -glx is the hw-acceleration version of OpenGL and will therefore
>>> trigger any DRI bugs we have and generally sweat the graphics hardware
>>> fully, whereas -swx11 is a software rendering engine for OpenGL and
>>> unlikely to use the full capabilities of the chipset.
>>>
>>> Could it be we have some people here with swx11 accidentally installed
>>> therefore putting them into software render mode, and therefore going
>>> -around- any bugs in the hw?
>>>
>>> I notice wirechief has ended up with both installed... glx "official"
>>> 7.4-0ubuntu3 but swx11 from Bryce's purple version.
>>>
>>> 2. What libosmesa6 do - "Mesa Off-screen rendering extension"
>>>
>>> I don't have it installed, I guess because no other package has ever
>>> pulled it in. If I ask to install -swx11 then I need to install this
>>> library too... so I haven't, yet, but might be interesting to see if it
>>> changes my symptoms.
>>>
>>> I've gone to 7.4-0ubuntu3 and I CAN now boot with EXA + greedy under
>>> 2.6.30RC2 - I had a freeze straightaway in X with 7.4.0ubuntu2. So
>>> something's fixed in EXA mode at least...
>>>
>>> --
>>> [i965] X freezes starting on April 3rd
>>> https://bugs.launchpad.net/bugs/359392
>>> You received this bug notification because you are a direct subscriber
>>> of the bug.
>>>
>>
>>
>>
>> --
>> Reach out and share life, care for others,
>>
>
>
>
> --
> Reach out and share life, care for others,
>

--
Reach out and share life, care for others,

Revision history for this message
Jesse Barnes (jbarnes-virtuousgeek) wrote :

Here's an alternate error state patch (the interrupt one I sent earlier still needs work). It should add an i915_error_state file to debugfs, which can be capture at hang time along with the rest of the files in that directory.

Revision history for this message
Albert Damen (albrt) wrote :

Attached are the results with Jesse's error state patch.
After the freeze i915_gem_interrupt did not change.

Revision history for this message
Jesse Barnes (jbarnes-virtuousgeek) wrote :

> Attached are the results with Jesse's error state patch.
> After the freeze i915_gem_interrupt did not change.
>
> ** Attachment added: "gpudump-errorstate.tar.gz"
> http://launchpadlibrarian.net/25802051/gpudump-errorstate.tar.gz

Ok, so you got an instruction parser error, which indicates we've
probably executed junk or a corrupted batch buffer. Can you try
running your environment under INTEL_DEBUG=batch to see batchbuffers as
they're executed?

Revision history for this message
Joachim Nilsson (troglobit) wrote :

Just upgraded and noticed my chipset being blacklisted due to this buglet. For the record:

00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller [8086:2a02] (rev 0c)

No freezes seen before. Actually this (before the upgrade) has been the first time I've been able to run Compiz on my extended desktop (1920x1200 + 1280x800) with the ThinkPad T61 in my dock. That was cool, so I'm quite interested in this bug.

My xorg.conf:
Section "Screen"
 Identifier "Configured Screen Device"
 Device "Configured Video Device"
 SubSection "Display"
  Virtual 3200 1200
 EndSubSection
EndSection

Section "Device"
 Identifier "Configured Video Device"
 Option "AccelMethod" "uxa"
EndSection

Bryce Harrington (bryce)
description: updated
Revision history for this message
seldon7 (ubuntu-pengo) wrote :

in case its of any use - I think I'm getting the same error on both the final beta and also the RC of Jaunty. NVidia6800GS card on a Pentium 4 3GHz chip. I get a black unresponsive screen after several hours use. HDD seems to be active.

I seemed to get more of these black screens when I was overclocking the CPU, so dropped it back to default and now only about once every 6-12 hours. Doesn't seem to be a temperature issue (I monitor temp closely). Just my impression - nothing concrete.

Resolves itself / doesn't occur when I'm running Intrepid.

Revision history for this message
Martin Pitt (pitti) wrote :

Joachim Nilsson [2009-04-21 2:18 -0000]:
> SubSection "Display"
> Virtual 3200 1200
> EndSubSection

That's the second person who reports no freezes with a larger
VirtualSize. Jesse, do you know why this could happen? Maybe if the
VirtualSize is big enough you can fit all of the viewports into the
backbuffer without the need of copying them in and out on viewport
switches?

Revision history for this message
Joachim Nilsson (troglobit) wrote :

So my running with UXA is not relevant? Good thing I pasted in my whole xorg.conf then. :)

Revision history for this message
Matt Zimmerman (mdz) wrote :

On Tue, Apr 21, 2009 at 03:59:57AM -0000, seldon7 wrote:
> in case its of any use - I think I'm getting the same error on both the
> final beta and also the RC of Jaunty. NVidia6800GS card on a Pentium 4
> 3GHz chip. I get a black unresponsive screen after several hours use.
> HDD seems to be active.

You have a different problem, please look for a bug which matches your
symptoms, and if you don't find one, file a new one. Neither your hardware
nor your symptoms match those in this bug.

--
 - mdz

Revision history for this message
Soeren Sonnenburg (bugreports-nn7) wrote :

On Tue, 2009-04-21 at 07:45 +0000, Matt Zimmerman wrote:
> On Tue, Apr 21, 2009 at 03:59:57AM -0000, seldon7 wrote:
> > in case its of any use - I think I'm getting the same error on both the
> > final beta and also the RC of Jaunty. NVidia6800GS card on a Pentium 4
> > 3GHz chip. I get a black unresponsive screen after several hours use.
> > HDD seems to be active.
>
> You have a different problem, please look for a bug which matches your
> symptoms, and if you don't find one, file a new one. Neither your hardware
> nor your symptoms match those in this bug.

Just to second that, I haven't seen the problem to occur on ATI hardware
either (on same setup). So it really seems to be some intel specific
problem.

Revision history for this message
Matt Zimmerman (mdz) wrote :

On Tue, Apr 21, 2009 at 06:24:53AM -0000, Martin Pitt wrote:
> Joachim Nilsson [2009-04-21 2:18 -0000]:
> > SubSection "Display"
> > Virtual 3200 1200
> > EndSubSection
>
> That's the second person who reports no freezes with a larger
> VirtualSize. Jesse, do you know why this could happen? Maybe if the
> VirtualSize is big enough you can fit all of the viewports into the
> backbuffer without the need of copying them in and out on viewport
> switches?

That's three: albert23, Sebastien Bacher and Joachim Nilsson.

I wonder if it avoids the problem completely or just makes it harder to
trigger.

--
 - mdz

Revision history for this message
Dave Conniff (chronniff) wrote :

I thought it might be worth mentioning that I installed the xorg crack pushers ppa repo a few days ago, (latest intel develoment snapshots), and it has reduced the frequency of the X lockups, I have only had one or two in the entire time that I have had them isntalled.....Also, there is no reason that you should lose data during these lockups since most of the system is infact running fine, just not the part that you can see with your own eyes......I have been successful in not losing any data that I know if through the careful use of the linux magic SysRq commands, which have no problem syncing the filesystem and rebooting it since the rest of the hardware is not locking up

Revision history for this message
Chris Broekema (broekema) wrote :

I'm using a larger VirtualSize (3200 1280) with the previous version of Mesa (so including 103_bump_965_texture_limit.diff). I do experience occasional freezes, so I don't think it completely solves the problem. Reading back I don't think the above patch is a suspect anymore, but I'll upgrade Mesa to the current version and see if it freezes again.

Revision history for this message
vervelover (alessiopangos) wrote :

No frezees for me with "UXA" and "migration heuristic greedy" enabled in my xorg.conf, not even with the repro.sh script running togheter with skype rhytmbox and mozilla and compiz. I have freezes as soon as I disable the migration heuristic option. Everything seems just ok with UXA, I have no reasons to try EXA now. Glxgears is faster with EXA but games run better with UXA so what's the point?

Anyway, even with UXA and migration heuristic greedy enabled, I can reproduced a system freeze anytime I enable windows reflection in the compiz reflection plugin. If it doesn't happen immediatly, it happens after a few minutes anyway.

Revision history for this message
Jithin Emmanuel (jithin1987) wrote :

UXA with 2.6.28 kernel has a lot of side effects like switch user fails. I installed kernel 2.6.29.1 and xserver-xorg-video-intel from xorg-edgers .
This seems to have fixed all of the UXA issues I faced and I am not having any freezes.

Revision history for this message
vervelover (alessiopangos) wrote :

just experienced a freeze, now switching to xorg-edgers driver, but with jaunty standard kernel. No freezes since now.

Revision history for this message
Albert Damen (albrt) wrote :

> Can you try running your environment under INTEL_DEBUG=batch to see batchbuffers as
> they're executed?

I started gdm with sudo INTEL_DEBUG=batch /etc.init.d/gdm start and took
the last 5.000 lines from the gdm log (gdm-tail.log).

Revision history for this message
Jesse Barnes (jbarnes-virtuousgeek) wrote :

On Tue, 21 Apr 2009 14:45:09 -0000
Albert Damen <email address hidden> wrote:

> > Can you try running your environment under INTEL_DEBUG=batch to see
> > batchbuffers as they're executed?
>
> I started gdm with sudo INTEL_DEBUG=batch /etc.init.d/gdm start and
> took the last 5.000 lines from the gdm log (gdm-tail.log).
>
>
> ** Attachment added: "intel_debug.tar.gz"
> http://launchpadlibrarian.net/25826804/intel_debug.tar.gz

Ah excellent, but can you include the whole log?

Thanks,
--
Jesse Barnes, Intel Open Source Technology Center

Revision history for this message
Jesse Barnes (jbarnes-virtuousgeek) wrote :

On Tue, 21 Apr 2009 14:45:09 -0000
Albert Damen <email address hidden> wrote:

> > Can you try running your environment under INTEL_DEBUG=batch to see
> > batchbuffers as they're executed?
>
> I started gdm with sudo INTEL_DEBUG=batch /etc.init.d/gdm start and
> took the last 5.000 lines from the gdm log (gdm-tail.log).
>
>
> ** Attachment added: "intel_debug.tar.gz"
> http://launchpadlibrarian.net/25826804/intel_debug.tar.gz

And one more thing... while removing a bunch of old code from the
driver yesterday, Eric noticed a pretty bad bug in GEM/DRI1 interaction
that would cause the ring buffer to get stomped if the kernel ever had
to perform an eviction during an operation (which can happen when the
GPU is busy and lots of objects are mapped).

Disabling render accel (ExaNoComposite true) and not using video should
avoid that particular issue though. Can anyone reproduce the issue
with both of those features disabled?

Revision history for this message
Francois Lesueur (f-lesueur) wrote :

Hello,

Not verified if this is the same bug, but looks very similar. Using Elisa Media Center (OpenGL), I encountered system crashes. Elisa in idle mode or navigating in menus is ok, but when I launch a movie it freezes after a few minutes. When freezed, the computer responds to ping requests but AFAIK I was not able to ssh into it. Of course, no ALT+F1 and no Ctrl-Alt-Delete responding...

Freevo with mplayer using xv output is ok. MPlayer with gl/gl2 output is ok too.

My xorg.conf is empty (only the self-generated part, no option for the vga device).

VGA card is :
00:02.0 VGA compatible controller [0300]: Intel Corporation 82G33/G31 Express Integrated Graphics Controller [8086:29c2] (rev 10)
        Subsystem: Micro-Star International Co., Ltd. Device [1462:7529]

Tonight, I upgraded the intel driver to 2.7 using Stefan Glasenhardt PPA. After a few tens of minutes, there is still no crash, which is very different from previously...

Revision history for this message
VladNistor (vladnistor) wrote :

This bug usually appeared within 5 minutes of logging into kde with compiz on. After I moved to UXA I no longer get X hangs. I have not tried the repro.sh yet, but it hasn't appeared within 5 minutes after several restarts.
I'm using kernel 2.6.29-02062901-generic and heuristics "greedy".

Revision history for this message
Botond Szász (boteeka) wrote :

With standard Jaunty kernel, uxa acceleration, and greedy migrationheuristics, if reflections plugin is enabled in compiz, Gnome wouldn't even start. It will freeze after a couple of seconds of the startup sound playing. After I managed to disable the reflections plugin, it is working, at least as of yet.

Revision history for this message
Albert Damen (albrt) wrote :

On Tue, 2009-04-21 at 11:31 -0700, Jesse Barnes wrote:
> but can you include the whole log?

Sure, this is the full log of the same freeze of
http://launchpadlibrarian.net/25826804/intel_debug.tar.gz

Revision history for this message
Jesse Barnes (jbarnes-virtuousgeek) wrote :

Ok so the bug I mentioned in 196 doesn't actually exist, so ignore that request.

However Eric is now worried about the buffer reuse we're seeing in the dumps. If caching is at all wrong or we're not taking care to reset the buffer contents correctly between reuse it could easily cause problems.

Buffer object reuse can be disabled in the 3D driver by setting the bo_reuse DRI variable to 0 (it defaults to 1). The 2D driver needs to be patched to avoid re-use though:

diff --git a/src/i830_driver.c b/src/i830_driver.c
index 6ec2cdd..c43a7be 100644
--- a/src/i830_driver.c
+++ b/src/i830_driver.c
@@ -2835,7 +2835,7 @@ i830_init_bufmgr(ScrnInfoPtr pScrn)
         batch_size = 4096;

       pI830->bufmgr = intel_bufmgr_gem_init(pI830->drmSubFD, batch_size);
- intel_bufmgr_gem_enable_reuse(pI830->bufmgr);
+// intel_bufmgr_gem_enable_reuse(pI830->bufmgr);
    } else {
       assert(pI830->FbBase != NULL);

Revision history for this message
Flavio Capobianco (norkov) wrote :

I don't know if I'm contributing anything new but this is my experience.

I've got the GM965/GL960 [8086:2a02] (rev 0c) on my laptop.

I've been experiencing frequent freezes, always while using compiz.

Loose binding seemed to make things better, but there were terrible wrong renderings, such as no menu highlighting.

When turning on reflection plug-in the freeze was almost instantaneous.

I tried many things such as rolling back to the latest Intrepid Ibex display drivers and trying UXA with greedy. It didn't help.

Following compiz troubleshooting wiki I then tried

LIBGL_ALWAYS_INDIRECT=1 INTEL_BATCH=1 compiz --replace --indirect-rendering --sm-disable ccp &

and option "XAANoOffscreenPixmaps" "true" in my xorg.conf and nothing else.

This made things better. I tested it with reflection plugin on and it took a long time to freeze. I opened lots of nautilus windows, alt tabed, faded to desktop for several minutes and nothing happened. Only after I thought it wouldn't be freezing after all, I opened a terminal and typed a command and it freezed.

Revision history for this message
Bryce Harrington (bryce) wrote :

I've added an -intel 2.6.3-0ubuntu10~bug359392~1 package with Jesse's patch to this ppa for testing purposes:

  https://edge.launchpad.net/~bryceharrington/+archive/purple/

Revision history for this message
Bryce Harrington (bryce) wrote :

After booting the aforementioned patch and re-running mdz's script, it froze after a few minutes with this gpu state.

Revision history for this message
Jithin Emmanuel (jithin1987) wrote :

I am now facing a new problem, my gnome-terminal or konsole is not taking
Escape key. So in vim if I go to insert mode I cannot come back. I am not
having this problem with pure console login.
Could this be related to x server?

On Wed, Apr 22, 2009 at 6:44 AM, Bryce Harrington <<email address hidden>
> wrote:

> After booting the aforementioned patch and re-running mdz's script, it
> froze after a few minutes with this gpu state.
>
> ** Attachment added: "i915_debugfs_bwh4.tgz"
> http://launchpadlibrarian.net/25840981/i915_debugfs_bwh4.tgz
>
> --
> [i965] X freezes starting on April 3rd
> https://bugs.launchpad.net/bugs/359392
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Regards
Jithin Emmanuel
http://spotm.in
Dan Quayle <http://www.brainyquote.com/quotes/authors/d/dan_quayle.html> -
"I love California, I practically grew up in Phoenix."

Revision history for this message
Flavio Capobianco (norkov) wrote :

I installed the ppa patch, turned reflection effect on and it froze after two minutes.

Revision history for this message
Bryce Harrington (bryce) wrote :

On Wed, Apr 22, 2009 at 01:29:24AM -0000, Jithin Emmanuel wrote:
> I am now facing a new problem, my gnome-terminal or konsole is not taking
> Escape key. So in vim if I go to insert mode I cannot come back. I am not
> having this problem with pure console login.
> Could this be related to x server?

Doubtful, but even if it was you should not double up problem reports
onto an unrelated bug... which is already hugely too long as it is. ;-)

Have you tested the patch Jesse provided (and that I put into the PPA)
to see if it makes the issue go away?

Bryce

Revision history for this message
Bryce Harrington (bryce) wrote :

Here is a freeze running a normal user session with 2 gnome-terminal's and firefox, using Jesse's patch with the above debs.

This happened within about 15 minutes of freshly booting during regular usage (not mdz's script), which is sort of a record since usually it takes several hours. I noticed some slowdown in performance when task switching prior to the freeze, however I was not doing alt-tab at the instant it froze as typical; I was just closing down firefox tabs.

Revision history for this message
Flavio Capobianco (norkov) wrote :

This is my first debugging.

I installed the 2.6.30-020630rc2_i386 kernel and followed all the instructions for Intel X freeze testing.

I got X frozen in two minutes without using any scripts, just by turning on Compiz reflection effect, opening several windows and some heavy alt tabbing.

The first time I sshed into the frozen computer, it hanged right after I mounted /sys/kernel/debug. I tried sshing into it again but I got no response.

The second time, I froze X the same way but this time nothing hanged, so I could created all log files, which I attach here.

Revision history for this message
Jithin Emmanuel (jithin1987) wrote :

I had freeze with the new intel driver from Bryce's repository.
What surprised me was I got a freeze with UXA ON on 2.6.29 kernel. I could
not collect the debug info coz I was not on 30 kernel at that time.
I could not find any files on /sys/kernel/debug/dri/ and I did mount debugfs

/dev/sda5 on / type ext4 (rw,relatime,errors=remount-ro)
tmpfs on /lib/init/rw type tmpfs (rw,nosuid,mode=0755)
proc on /proc type proc (rw,noexec,nosuid,nodev)
sysfs on /sys type sysfs (rw,noexec,nosuid,nodev)
varrun on /var/run type tmpfs (rw,nosuid,mode=0755)
varlock on /var/lock type tmpfs (rw,noexec,nosuid,nodev,mode=1777)
udev on /dev type tmpfs (rw,mode=0755)
tmpfs on /dev/shm type tmpfs (rw,nosuid,nodev)
devpts on /dev/pts type devpts (rw,noexec,nosuid,gid=5,mode=620)
fusectl on /sys/fs/fuse/connections type fusectl (rw,relatime)
securityfs on /sys/kernel/security type securityfs (rw)
debugfs on /sys/kernel/debug type debugfs (rw)

On Wed, Apr 22, 2009 at 8:08 AM, Bryce Harrington <<email address hidden>
> wrote:

> Here is a freeze running a normal user session with 2 gnome-terminal's
> and firefox, using Jesse's patch with the above debs.
>
> This happened within about 15 minutes of freshly booting during regular
> usage (not mdz's script), which is sort of a record since usually it
> takes several hours. I noticed some slowdown in performance when task
> switching prior to the freeze, however I was not doing alt-tab at the
> instant it froze as typical; I was just closing down firefox tabs.
>
>
> ** Attachment added: "i915_debugfs_bwh5.tgz"
> http://launchpadlibrarian.net/25842399/i915_debugfs_bwh5.tgz
>
> --
> [i965] X freezes starting on April 3rd
> https://bugs.launchpad.net/bugs/359392
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Regards
Jithin Emmanuel
http://spotm.in
Dan Quayle <http://www.brainyquote.com/quotes/authors/d/dan_quayle.html> -
"I love California, I practically grew up in Phoenix."

Revision history for this message
Jithin Emmanuel (jithin1987) wrote :

I had freeze with the new intel driver from Bryce's repository.
What surprised me was I got a freeze with UXA ON on 2.6.29 kernel. I could not collect the debug info coz I was not on 30 kernel at that time.
I could not find any files on /sys/kernel/debug/dri/ and I did mount debugfs

/dev/sda5 on / type ext4 (rw,relatime,errors=remount-ro)
tmpfs on /lib/init/rw type tmpfs (rw,nosuid,mode=0755)
proc on /proc type proc (rw,noexec,nosuid,nodev)
sysfs on /sys type sysfs (rw,noexec,nosuid,nodev)
varrun on /var/run type tmpfs (rw,nosuid,mode=0755)
varlock on /var/lock type tmpfs (rw,noexec,nosuid,nodev,mode=1777)
udev on /dev type tmpfs (rw,mode=0755)
tmpfs on /dev/shm type tmpfs (rw,nosuid,nodev)
devpts on /dev/pts type devpts (rw,noexec,nosuid,gid=5,mode=620)
fusectl on /sys/fs/fuse/connections type fusectl (rw,relatime)
securityfs on /sys/kernel/security type securityfs (rw)
debugfs on /sys/kernel/debug type debugfs (rw)

Revision history for this message
Jithin Emmanuel (jithin1987) wrote :

oops sorry for the reposting. First I sent from gmail And I didnt see it getting posted here so I decided to post directly again.

Revision history for this message
Jithin Emmanuel (jithin1987) wrote :

Is the packages xserver-xorg-driver-all and xserver-xorg-video-all required ? It installs drivers for all nvidia, ati ... Only intel specific ones are required right?

Revision history for this message
AZC (albazc) wrote :

I forgot to mention I experienced the freeze with Virtual 3200 1200 in my xorg.conf.

This is my whole xorg.conf:

Section "Device"
 Identifier "Configured Video Device"
  Option "XAANoOffscreenPixmaps" "true"
EndSection

Section "Screen"
 Identifier "Default Screen"
 Monitor "Configured Monitor"
 Device "Configured Video Device"

#to prevent compiz freeze flavs

 SubSection "Display"
  Virtual 3200 1200
 EndSubSection

EndSection

Revision history for this message
Flavio Capobianco (norkov) wrote :

Comment 214 belongs to me, sorry.

I now tried Jesse Barnes' suggestion to add Option "ExaNoComposite" "true" to xorg.conf (I also added INTEL_BATCH="1" to /etc/environment).

When I rebooted performance seemed to be as good as it was with Intrepid. No more sluggishness. I opened many windows, alt tabbed between them and minimized in quick succession. All of it with reflection effect on but nothing happened. I started playing with other effects, turning them on and off and it froze after ten minutes while I was turning off some effect. I could not ssh from another computer. I was on a wifi link, that must have been the cause since it didn't hang. I was able to reboot doing alt sysrq R S E I U B.

Revision history for this message
Jithin Emmanuel (jithin1987) wrote :

I thought UXA was the perfect solution for me and it was for past week. But now I am having frequent freezes even with UXA ON, though repro.sh won't trigger it. It seems that moving back to intrepid is a viable option.

Revision history for this message
Bryce Harrington (bryce) wrote :

Another gpu dump including gdm.log after reproducing freeze with jesse's patch and disabling dri buffer reuse:

http://www2.bryceharrington.org:8080/files/i915_debugfs_bwh6.tgz (74mb)

Revision history for this message
Marius Gedminas (mgedmin) wrote :

Another data point from another user:

  * Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller [8086:2a02] (rev 0c)
  * no freezes ever encountered in Intrepid nor Jaunty (upgraded on Apr 05)
  * I used EXA for a couple of days then switched to UXA
  * the only other change in my xorg.conf is "Virtual 2960 1880" and this one has been there since Intrepid
  * I used dual-head (1280x800 + 1024x1280) with both EXA and UXA, so large textures got some exercise (this was before the last mesa upload disabled the large texture patch)
  * I haven't tried running repro.sh (yet)

I used to get occasional crashes (but not freezes) after suspend & resume when I switched to UXA, but they seem to have stopped lately.

Revision history for this message
wirechief (wirechief) wrote :

Amazingly i have now been able to run repro.sh without any noticable
problems, I decided to start compiz
from a terminal was was told that my graphics id 00:02.0 VGA
compatible controller: Intel Corporation Mobile GM965/GL960 Integrated
Graphics Controller (rev 0c) was blacklisted and I thought well i knew
this.
but then as I tried to reply to a ubuntu-mail list I noticed my
keyboard was not working. I could pulldown menus, my caps lock would
toggle on /off but i could not type, i was able to open a terminal
with ctrl alt f2
so i ssh into this sick machine and did the
https://edge.launchpad.net/~ubuntu-x-swat/+archive/x-freeze-test
instructions. i will have to visit launchpad to paste the files.

On Wed, Apr 22, 2009 at 3:48 PM, Marius Gedminas <email address hidden> wrote:
> Another data point from another user:
>
>  * Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller [8086:2a02] (rev 0c)
>  * no freezes ever encountered in Intrepid nor Jaunty (upgraded on Apr 05)
>  * I used EXA for a couple of days then switched to UXA
>  * the only other change in my xorg.conf is "Virtual 2960 1880" and this one has been there since Intrepid
>  * I used dual-head (1280x800 + 1024x1280) with both EXA and UXA, so large textures got some exercise (this was before the last mesa upload disabled the large texture patch)
>  * I haven't tried running repro.sh (yet)
>
> I used to get occasional crashes (but not freezes) after suspend &
> resume when I switched to UXA, but they seem to have stopped lately.
>
> --
> [i965] X freezes starting on April 3rd
> https://bugs.launchpad.net/bugs/359392
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Reach out and share life, care for others,

Revision history for this message
wirechief (wirechief) wrote :

attachments from the recent keyboard freeze. I am not sure this is the same freeze i had days ago. but sypmtoms
were similar enough

Revision history for this message
wirechief (wirechief) wrote :
Revision history for this message
wirechief (wirechief) wrote :
Revision history for this message
wirechief (wirechief) wrote :

there are several more files, if they are needed please advise.

Revision history for this message
Flavio Capobianco (norkov) wrote :

@wirechief : You can pack them all in a zip file and upload them.

Revision history for this message
wirechief (wirechief) wrote :

unfortunately my HD crashed, i had to reinstall .. they are gone.

On Thu, Apr 23, 2009 at 2:46 AM, Flavio Cabobianco <email address hidden> wrote:
> @wirechief : You can pack them all in a zip file and upload them.
>
> --
> [i965] X freezes starting on April 3rd
> https://bugs.launchpad.net/bugs/359392
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Reach out and share life, care for others,

Revision history for this message
Bryce Harrington (bryce) wrote :

This time it happened even when Desktop Effects was shut off (first time freeze with only metacity for me).

Also, I've been noticing that with these freezes I often have some zombie processes. This time I took a looksee:

root@salisbury:~# ps -el | grep 'Z'
F S UID PID PPID C PRI NI ADDR SZ WCHAN TTY TIME CMD
0 Z 1000 4664 4644 0 80 0 - 0 exit ? 00:00:00 gnome-terminal <defunct>
0 Z 1000 4665 4644 0 80 0 - 0 exit ? 00:00:00 gnome-terminal <defunct>
0 Z 1000 4666 4644 0 80 0 - 0 exit ? 00:00:00 gnome-terminal <defunct>

Revision history for this message
jbond00747 (jeff-cowart) wrote :

I have a Dell D830 laptop with the Intel GM965 card that's been blacklisted. I haven't had any problems with X freezing. My screen runs at 1920x1200 resolution. I don't have a lot of compiz effects enabled, but I have a few enabled.

Here is the relevant output of `lspci -nn`
00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller [8086:2a02] (rev 0c)

My Xorg.conf file is pretty generic. Here are the relevant sections:

Section "Monitor"
 Identifier "Configured Monitor"
EndSection

Section "Screen"
 Identifier "Default Screen"
 Monitor "Configured Monitor"
 Device "Configured Video Device"
 SubSection "Display"
  Virtual 2944 1200
 EndSubSection
EndSection

Section "Device"
 Identifier "Configured Video Device"
EndSection

Revision history for this message
Bryce Harrington (bryce) wrote :

Killing the parent of the gnome-terminal processes destroyed the zombies but did not bring back the screen.

@jbond, we do not need people to confirm that they are not having the X freeze. I understand you're probably frustrated to have lost compiz, but trust me you're lucky you have only lost desktop effects and are not suffering the freeze problem. ;-) You can comment on 363821 if you wish.

Revision history for this message
Björn Ruberg (bjoern-ruberg-wegener) wrote :

Hello!

I welcome all ubuntu users in the world of freezing desktop on intel chipsets. As I switched to Fedora10 on my main machine some month ago, I had the problem a little earlier.
I tried to collect all data in my bug report in the freedesktop bugzilla:
https://bugs.freedesktop.org/show_bug.cgi?id=20893#c0

Short story: This bug has been probably introduced after xorg-video-intel-2.5.1 . As this driver and earlier drivers are reported working, it is quite sure a bug in the driver.
The ONLY always working reported workaround is to put "Option" "NoAccel" "true" in your xorg.conf. Turning off composite alone does reduce the number of freezes, but they are still there.

So, take this upstream to the intel developers. I already predicted them that many ubuntu users will have this problem now.

Please post your intel_gpu_dumps there!

Revision history for this message
Jithin Emmanuel (jithin1987) wrote :

I was planning to switch to fedora 11 when rc is released. Now dropped that plan. So now the only option for a good desktop for intel users is to switch back to intrepid. Considering this is in upstream for some time, I think by the time this is fixed it will be time for ubuntu 9.10 .

Revision history for this message
Vincenzo Ciancia (vincenzo-ml) wrote :

Il giorno ven, 24/04/2009 alle 08.54 +0000, Björn Ruberg ha scritto:
>
> So, take this upstream to the intel developers. I already predicted
> them
> that many ubuntu users will have this problem now.

I know it would take time and patience, but is it possible to do a
forward port of the new drivers? Or the entire Xorg? The new one gives
troubles, what are the advantages for an end user?

Revision history for this message
Joseph Wakeling (webdrake) wrote :

Björn Ruberg wrote:
> The ONLY always working reported workaround is to put "Option" "NoAccel" "true" in your xorg.conf. Turning off composite alone does reduce the number of freezes, but they are still there.

For the benefit of those of us who are not too familiar with xorg.conf
editing, can you specify _exactly_ where in the file to enter this
option? :-)

Revision history for this message
Vincenzo Ciancia (vincenzo-ml) wrote :

Il giorno ven, 24/04/2009 alle 12.11 +0000, Vincenzo Ciancia ha scritto:
> I know it would take time and patience, but is it possible to do a
> forward port of the new drivers?

Indeed I meant a forward port of the old drivers.

Revision history for this message
Bernhard (b.a.koenig) wrote :

Btw, this must have been said before in this thread but I will say it again if people missed it:

you can enable compositing in metacity (type "gconf-editor" and then go to apps/metacity/general and enable "compositing"). Then you can have your docks and everything and you are only missing a small eye-candy part of compiz. I'm doing that right now and it works OK for me.

Revision history for this message
wirechief (wirechief) wrote :

Well i just ran a quick and dirty test on my kanotix install, ive been
using it for over 1.5 yrss
never had a freeze and never installed compiz (i dont like wiggley
windows) but as a test I
installed it and when i tried to run it was given the same error
message that compiz detected
my intel card and was not going to run, evidently compiz blacklists
the intel card now.
but i chose to run overide it with SKIP_CHECKS=yes compiz my screen
blinked and changed
and then every window i opened froze, the terminal froze, i was unable
to move anything, i
had what i thought was the same freeze that i reported with jaunty but
i only think the effects
were similar. i am using this:
ii xserver-xorg-video-intel 2:2.3.2-2+lenny6
        X.Org X server -- Intel i8xx, i9xx display d

I imagine there are lots of people burning lots of midnight oil on this bug....

2009/4/24 Björn Ruberg <email address hidden>:
> Hello!
>
> I welcome all ubuntu users in the world of freezing desktop on intel chipsets. As I switched to Fedora10 on my main machine some month ago, I had the problem a little earlier.
> I tried to collect all data in my bug report in the freedesktop bugzilla:
> https://bugs.freedesktop.org/show_bug.cgi?id=20893#c0
>
> Short story: This bug has been probably introduced after xorg-video-intel-2.5.1 . As this driver and earlier drivers are reported working, it is quite sure a bug in the driver.
> The ONLY always working reported workaround is to put "Option" "NoAccel" "true" in  your xorg.conf. Turning off composite alone does reduce the number of freezes, but they are still there.
>
> So, take this upstream to the intel developers. I already predicted them
> that many ubuntu users will have this problem now.
>
> Please post your intel_gpu_dumps there!
>
> ** Bug watch added: freedesktop.org Bugzilla #20893
>   https://bugs.freedesktop.org/show_bug.cgi?id=20893
>
> --
> [i965] X freezes starting on April 3rd
> https://bugs.launchpad.net/bugs/359392
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Reach out and share life, care for others,

Revision history for this message
Vincenzo Ciancia (vincenzo-ml) wrote :

Il giorno ven, 24/04/2009 alle 13.04 +0000, Bernhard ha scritto:
>
> you can enable compositing in metacity (type "gconf-editor" and then
> go
> to apps/metacity/general and enable "compositing"). Then you can have
> your docks and everything and you are only missing a small eye-candy
> part of compiz. I'm doing that right now and it works OK for me.

Does metacity have the ability to zoom the screen? And the
"scale" (compiz) or "expose" (mac) way to view all the windows at once?
These are extremely useful especially on small notebooks.

V.

--
It is also important to note that hedgehogs do not actually hurt each
other when they get close to one another. Actually, when living in
groups, hedgehogs often sleep close to each other.
http://en.wikipedia.org/wiki/Hedgehog%27s_dilemma

Revision history for this message
Isa (ibaboo) wrote :

I have the same Intel graphics card and I am also experiencing X freezing with Compiz. It worked fine in Intrepid. Just one big note I am using GNOME.

Revision history for this message
Zachary Waldowski (zwaldowski) wrote :

Adding my dri_debug files to the mix obtained from the ubuntu-x-swat instructions, hope it can help.

Revision history for this message
Fabio Bossi (fabio-bossi-deactivatedaccount) wrote :

Why don't we all write to http://supportmail.intel.com/scripts-emf/prodspec.aspx to ask them for help with this bug (and possibly to complain about their closed drivers)?

Revision history for this message
Andres Mujica (andres.mujica) wrote :

Hi BJörn!!

Thanks for your info. I'm linking the FD bug here. Luckily for us the Intel devs are aware about this issue and are looking at the issue. However we're really missing the upstream official bug report and i believe your`s it`s the ideal one!.

About the Fedora one, i`ve been looking at Red Hat's bugzilla a lot searching for the same symptons without luck. In fact the one you`ve mentioned is under my radar, but i don't really think that is the same bug (the EQ error logs are not shown here), probably related but not the same, so i`m not really convinced to link this bug against it.

However, in order to benefit both communities it would be really great to find the right bug at Red Hat's bugzilla so we can share more info, do you know another one reported there?

Revision history for this message
Matt Zimmerman (mdz) wrote :

On Fri, Apr 24, 2009 at 05:42:50PM -0000, Fabio wrote:
> Why don't we all write to http://supportmail.intel.com/scripts-
> emf/prodspec.aspx to ask them for help with this bug (and possibly to
> complain about their closed drivers)?

Intel's developers are aware of the issue and working with Ubuntu developers
to identify the root cause.

--
 - mdz

Revision history for this message
jippie (jph4dotcom) wrote :

Same issue here.
- KDE4 locks up;
- Mouse pointer moves;
- Keyboard locked;
- System available via SSH;
- System hangs quickly with Desktop Effects, usually within minutes;
- System hangs without Desktop Effects, usually within a day;
- Running: Kubuntu amd64 9.04 with latest patches (24 apr. 2009);
- Checked 7.3 mesa => does not work for me;
- Platform:
  - Motherboard: DG35EC;
  - CPU: Intel(R) Core(TM)2 Quad CPU Q9550 @ 2.83GHz
  - GPU: 82G35 Express Integrated Graphics Controller (i9x5 compatible)

Haven't had the time/energy yet to author an xorg.conf. Hints to ease this job are welcomed.

Revision history for this message
jippie (jph4dotcom) wrote :

Forgot to mention that, when Effects are enabled, the system starts with really smooth effects and after a little while those effects start to jump and hickup. At that moment it is just a matter of seconds before KDE freezes.

BTW: Although this is my first (k)ubuntu install, I come from several Gentoo stage 1 installs. Bear with me while learning the ubuntu way ;o)

Revision history for this message
Björn Ruberg (bjoern-ruberg-wegener) wrote :

WORKAROUND:

For getting rid of the freezes make do the following.
If you don't have a /etc/X11/xorg.conf , create one by runnig X -configure (and putting the resulting file to that place).
In the xorg.conf the is a section looking like this:

Section "Device"
        Driver "intel"
EndSection

Make sure to have this option in that section:
        Option "NoAccel" "yes"

As a result, you will have this:

Section "Device"
        Driver "intel"
        Option "NoAccel" "yes"
EndSection

After that, you won't have nice effects and not much fun playing videos. But your system does not freeze anymore.

Andres, the Fedora bug https://bugzilla.redhat.com/show_bug.cgi?id=464866 is indeed the right one. But there are different bugs put into one. So it's not very clean. I have the EQ overflowing message.

Good to hear that ubuntu and intel is working together. Sad that it is done this late. The bug is known longer. Probably it would be good to work more with Fedora. I don't flame about distros, I love each and every one. But Fedora is technically always ahead of ubuntu. Bugs not fixed there will hit the next ubuntu release. As it happened now.

Revision history for this message
jippie (jph4dotcom) wrote :

@Andres, Björn: This is a thread I spotted yesterday at FD, but can't find a related bug id
http://forums.fedoraforum.org/showthread.php?t=205950

Revision history for this message
jippie (jph4dotcom) wrote :

Great hint! Implemented it, hopefully my system will now be stable
enough to get my VirtualBoxes running some server processes :o) I'll
keep the thread updated in case of problems.

JP

Björn Ruberg wrote:
> WORKAROUND:
>
> For getting rid of the freezes make do the following.
> If you don't have a /etc/X11/xorg.conf , create one by runnig X -configure (and putting the resulting file to that place).
> In the xorg.conf the is a section looking like this:
>
> Section "Device"
> Driver "intel"
> EndSection
>
> Make sure to have this option in that section:
> Option "NoAccel" "yes"
>
> As a result, you will have this:
>
> Section "Device"
> Driver "intel"
> Option "NoAccel" "yes"
> EndSection
>
> After that, you won't have nice effects and not much fun playing videos.
> But your system does not freeze anymore.
>
>
> Andres, the Fedora bug https://bugzilla.redhat.com/show_bug.cgi?id=464866 is indeed the right one. But there are different bugs put into one. So it's not very clean. I have the EQ overflowing message.
>
> Good to hear that ubuntu and intel is working together. Sad that it is
> done this late. The bug is known longer. Probably it would be good to
> work more with Fedora. I don't flame about distros, I love each and
> every one. But Fedora is technically always ahead of ubuntu. Bugs not
> fixed there will hit the next ubuntu release. As it happened now.
>
> ** Bug watch added: Red Hat Bugzilla #464866
> https://bugzilla.redhat.com/show_bug.cgi?id=464866
>
>

Bryce Harrington (bryce)
Changed in xserver-xorg-video-intel (Ubuntu Karmic):
milestone: jaunty-updates → karmic-alpha-1
Revision history for this message
Bryce Harrington (bryce) wrote :

Btw, unless your intel_gpu_dump output roughly matches what I've posted, you may be having an unrelated bug.

For me, the issue goes away when booting mesa 7.3 or turning off desktop effects or using AccelMethod UXA. The freeze I see is a memory issue that crops up after opening a lot of windows, either via use of mdz's script (which triggers the freeze in 5-10 min) or after a few hour's of "normal" use.

If your freeze does not match this sequence of steps, you probably are having an unrelated freeze bug.

Revision history for this message
Soeren Sonnenburg (bugreports-nn7) wrote :

On Sat, 2009-04-25 at 03:41 +0000, Bryce Harrington wrote:
> Btw, unless your intel_gpu_dump output roughly matches what I've posted,
> you may be having an unrelated bug.
>
> For me, the issue goes away when booting mesa 7.3 or turning off desktop
> effects or using AccelMethod UXA. The freeze I see is a memory issue
> that crops up after opening a lot of windows, either via use of mdz's
> script (which triggers the freeze in 5-10 min) or after a few hour's of
> "normal" use.
>
> If your freeze does not match this sequence of steps, you probably are
> having an unrelated freeze bug.

I guess you have a different bug then, because this one happens no
matter what AccelMethod you use nor does it help to disable compiz. It
just takes a little longer for it to occur.

Changed in xserver-xorg-video-intel:
status: Unknown → Confirmed
Revision history for this message
Luca Marra (luca-marra) wrote :

I'm using intel video drivers 2.7.0 and UXA: no freezes in 24h of utilization with compiz enabled. repro.sh ran without freeze.

Hope this helps.

Revision history for this message
telewizor (jakubch) wrote :

How about some quick HOWTO on how to blend them into Jaunty?

Revision history for this message
Sonny (aadityabhatia) wrote :

Had the same problem in Intrepid. Display didn't freeze that often, but considerably slowed down - right after I updated my box on April 4th. System was unusable until I switched to EXA.

Revision history for this message
Bassu Khan (bashukhan) wrote :

Woaah...!
I was getting freaked by the naughty auto_eth0 NetworkManager bug in Interpid from last five months (though I already had that fixed by setting up my own startup scripts) and when Jaunty was released yesterday, I tried with a fresh install and guess what, the first thing I encountered, was this freeze.... !
I found that Inetl **Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 03)** was blacklisted in /usr/bin/compiz - I whitelisted it and started getting problems.

It was working perfect in Interpid so i thought I would be the same after the upgrade.. but upgrade brings more side effects than the resolutions.. lol... as Andres mentioned in comment# 167

I am now trying this https://wiki.ubuntu.com/X/UxaTesting and this https://wiki.ubuntu.com/X/Bugs/IntelDriver

I'll post back if something helps!

Revision history for this message
wirechief (wirechief) wrote :

i have not had crashes since at least the compiz blacklisted my intel graphics or when this got installed.
2009-04-23 02:22:15 status installed xserver-xorg-video-intel-dbg 2:2.6.3-0ubuntu10~bug359392~1

Revision history for this message
Bassu Khan (bashukhan) wrote :

Thanks Wirechief.
I already reverted back to Interpid's Intel 2.4's package on Jaunty, it didn't freeze but it was so slow~
I just installed xserver-xorg-video-intel-dbg 2:2.6.3-0ubuntu10~bug359392~1, I got the performance back and I'll report again if this works fine for me as well.

Thanks again.

>i have not had crashes since at least the compiz blacklisted my intel graphics or when this got installed.
>2009-04-23 02:22:15 status installed xserver-xorg-video-intel-dbg 2:2.6.3-0ubuntu10~bug359392~1

Revision history for this message
floyd0815 (floriankre) wrote :

Is it possible, that evtouch is causing this problem?

My X only (or mostly, don't know it exactly because of the number of freezes) crashes, when I used my touchscreen.(after +/- 1 or 2 minutes)

I had the same freezes after I installed evtouch into kuki (Aspire One distro) where no other one experienced freezes and evtouch is included in UNR 9.04 anyway. (don't know about ubuntu and kubuntu)

And when I only use my touchpad, there are no freezes.

Acer Aspire One
UNR Jaunty
2.6.29-1 Sickboy's Kernel

PS: In my case, I can restart X after a freeze with <alt>+<print>+<k>. RSEIUB is a bit too aggresive.

Floyd

Revision history for this message
Sushant (sushant-indiankanoon) wrote :

I tried "UAX" the fix and compiz is working great for last 5 hours without any freezes. I followed the instructions from here
http://www.ubuntugeek.com/intel-graphics-performance-guide-for-ubuntu-904-jaunty-users.html

and I am running Dell Inspiron 13 with Intel GM965 graphics card.

Revision history for this message
Martin Beukman (digibeuk) wrote :

I have the some problems as described, numerous freezes. But have an amd64 processor and nvidia graphics card

Revision history for this message
Shwan (shwan-ciyako) wrote :

I have 8086 2a00 and have the problem.

Revision history for this message
Martin Pitt (pitti) wrote :

Since the pattern here is still pretty inconclusive, we started collecting more structured feedback on a wiki page:

  https://wiki.ubuntu.com/DesktopTeam/i965Users

Please add your data here. Please also test from a live system, to make sure that the tests are all done on a fixed software platform.

I also uploaded a test -intel package to my PPA which drops a patch which was meant to mitigate a problem on the i945, but never quite worked very well. It's a complete shot in the dark, but worth ruling out. Thank you!

Revision history for this message
Zachary Waldowski (zwaldowski) wrote :

Okay, Martin, I installed your package and filled out my respective entry on the Wiki. I've still been victim to the freeze on every possible Jaunty combination: default, your package, Bryce's "purple" packages, Ubuntu X Swat's bug test packages, Xorg crack pushers PPA, Ubuntu X Swat Update PPA. All the same freeze. It's even happened multiple times on the LiveCD. Only time I didn't get the freeze was in Intrepid. Does anybody know where I could get absolute bleeding-edge Xorg everything?

Revision history for this message
Bassu Khan (bashukhan) wrote :

Oops, the intel's fixed pkg is still not working.. caused freeze for three more times!
Bump.. another major bug in the new release ~!

--
>i have not had crashes since at least the compiz blacklisted my intel graphics or when this got installed.
>2009-04-23 02:22:15 status installed xserver-xorg-video-intel-dbg 2:2.6.3-0ubuntu10~bug359392~1

Revision history for this message
Bryce Harrington (bryce) wrote :

After running Martin's PPA for 1 hr with mdz's repro.sh script there has been no freeze.

However, I've been testing a whole bunch of different ideas over the weekend, so my test box isn't pristine. So I'll back out those changes and re-verify.

Meanwhile, would be helpful to get additional confirmations that this ppa solves it. Here's a more direct link for people:

i386:
https://edge.launchpad.net/~pitti/+archive/ppa/+files/xserver-xorg-video-intel_2.6.3-0ubuntu9pitti4_i386.deb

amd64:
https://edge.launchpad.net/~pitti/+archive/ppa/+files/xserver-xorg-video-intel_2.6.3-0ubuntu9pitti4_amd64.deb

Revision history for this message
Bryce Harrington (bryce) wrote :

@zwaldowski, do you still see the freeze if you set AccelMethod to "UXA"?

Revision history for this message
Eugenio Cano-Manuel (eugeniocano11) wrote :

I've installed the i386 package you uploaded but i had a crash again while playing Stepmania, i know its funny but in my case, X ALWAYS crashes while playing that game since Jaunty, maybe because of heavy drawing?. Im using default settings except for compiz blacklisting which i skiped checks.

By the way, im using this. 00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 03)

Revision history for this message
Zachary Waldowski (zwaldowski) wrote :

Yes. I have Martin's Intel package you link to above with UXA enabled and I continue to freeze. Hell, I don't even have to run repro.sh, it happens anyway.

Revision history for this message
Bryce Harrington (bryce) wrote :

On Mon, Apr 27, 2009 at 06:52:38PM -0000, Eugenio Cano-Manuel wrote:
> I've installed the i386 package you uploaded but i had a crash again
> while playing Stepmania, i know its funny but in my case, X ALWAYS
> crashes while playing that game since Jaunty, maybe because of heavy
> drawing?. Im using default settings except for compiz blacklisting which
> i skiped checks.

This is about a freeze bug, not a crash bug. For crashes, please
collect a backtrace and report it as a separate issue.

Revision history for this message
Matthew Woerly (nattgew) wrote :

I first noticed this bug really badly because of Gnome-Do. It got to where it would freeze every time I brought it up. I removed Gnome-Do, because I thought that was the problem, but it still freezes sometimes, especially with dual monitors.
Does anyone else find that Gnome-Do makes X freeze a lot?

Revision history for this message
Don Owen (donald.e.owen) wrote :

Quote:
"
I first noticed this bug really badly because of Gnome-Do. It got to where it would freeze every time I brought it up. I removed Gnome-Do, because I thought that was the problem, but it still freezes sometimes, especially with dual monitors.
Does anyone else find that Gnome-Do makes X freeze a lot?
"

I also have Gnome-do installed and was experiencing frequent freezes (~ 15 minutes sometimes ).

But, this is just a circumstantial note, I don't have hard evidence, just mentioning in response to Nattgew.

Revision history for this message
tdashroy (tdashroy) wrote :

I too am getting these freezes. I have GM965 [8086:2a02] (rev 0c) like many mentioned above. I just recently disabled compiz to see if I still get the freezes. I would be willing to help out in any way possible. Could someone fill me in one which tests I should run?

Revision history for this message
jippie (jph4dotcom) wrote :

My (jippie) entry is up there too. My system is stable for over two days
now, since I changed the xorg.conf with
  Option "NoAccel" "yes"
Not sure what is meant though with the columns
  - has in situ freezes
  - happens on live system

Hope this helps.

JP

Martin Pitt wrote:
> Since the pattern here is still pretty inconclusive, we started
> collecting more structured feedback on a wiki page:
>
> https://wiki.ubuntu.com/DesktopTeam/i965Users
>
> Please add your data here. Please also test from a live system, to make
> sure that the tests are all done on a fixed software platform.
>
> I also uploaded a test -intel package to my PPA which drops a patch
> which was meant to mitigate a problem on the i945, but never quite
> worked very well. It's a complete shot in the dark, but worth ruling
> out. Thank you!
>
>

Revision history for this message
Kevin Hausmann (salema) wrote :

I can confirm running the patched driver and repro.sh for roughly an hour without any problems.

I have
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
UXA enabled
Compiz enabled (including patches from http://ppa.launchpad.net/cavedon for my dual head > 2048px setup)
[I do use Gnome-Do a lot without a hassle, I don't think it is an issue here]
[I do have VideoRam set in xorg.conf]

Please note that freezes were very infrequent for me anyway.

Revision history for this message
Bryce Harrington (bryce) wrote :

After backing out the changes I was testing over the weekend, to get closer to a stock system, the freeze returned.

Revision history for this message
Alwin Garside (yogarine) wrote :

Kevin, please test in EXA mode. On the [8086:2a02] (rev 0c) setting
AccelMethod to "UXA" acually fixes things, at the cost of a 25%
performance penalty.
Like Martin said, you should ideally test from a LiveCD or a fresh
untouched install. If you can't be bothered to reinstall Ubuntu or run
a LiveCD, at least test in EXA mode with Greedy Migration disabled.

On Mon, Apr 27, 2009 at 9:57 PM, kevin <email address hidden> wrote:
> I can confirm running the patched driver and repro.sh for roughly an
> hour without any problems.
>
> I have
> 00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
> UXA enabled
> Compiz enabled (including patches from http://ppa.launchpad.net/cavedon for my dual head > 2048px setup)
> [I do use Gnome-Do a lot without a hassle, I don't think it is an issue here]
> [I do have VideoRam set in xorg.conf]
>
> Please note that freezes were very infrequent for me anyway.
>
> --
> [i965] X freezes starting on April 3rd
> https://bugs.launchpad.net/bugs/359392
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Alwin Garside
Email: <email address hidden>
Blog: http://www.yogarine.net
Twitter: http://twitter.com/yogarine
MSN: <email address hidden>
Skype: yogarine
Phone: +31 (0)23 8442699
Mobile: +31 (0)6 49 748 424

Revision history for this message
nwadams (nwnadams) wrote :

i have an untouched install on my dell xps m1330 that I will begin testing with.

i have this card :00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)

I will read the rest of this thread later tonight but I am first going to see if i get any freezes under normal usage before i try the scripts to reproduce the freezes on purpose.

Revision history for this message
Matthew Woerly (nattgew) wrote :

"On the [8086:2a02] (rev 0c) setting AccelMethod to "UXA" acually fixes things, at the cost of a 25%
performance penalty."
Is this with some patch installed? I've used UXA all along while having X freeze.

Revision history for this message
wirechief (wirechief) wrote :

I just got my first freeze in a long time, i had taken a nap, went to the lappy and was reading Bryce's entry at
2:04pm est, my shock to find it frozen, i had earlier changed my session to kde, i performed the X Freeze Tests
and will upload the results. (once i recover)

Revision history for this message
wirechief (wirechief) wrote :

if anyone wants to see more of the files i can upload as needed. (we seem to have lots of evidence already)
i am going to get the latest xserver from bryces ppa to see if that prevents the freeze.

Revision history for this message
Bryce Harrington (bryce) wrote :

On Mon, Apr 27, 2009 at 08:22:29PM -0000, Nattgew wrote:
> "On the [8086:2a02] (rev 0c) setting AccelMethod to "UXA" acually fixes things, at the cost of a 25%
> performance penalty."
> Is this with some patch installed? I've used UXA all along while having X freeze.

No; there are known freeze bugs with UXA which are probably unrelated to
this.

Bryce

Revision history for this message
wirechief (wirechief) wrote :

ii xserver-xorg-video-intel 2:2.6.3-0ubuntu9pitti4 X.Org X server -- Intel i8xx, i9xx display d
ii xserver-xorg-video-intel-dbg 2:2.6.3-0ubuntu10~bug359392~1 X.Org X server -- Intel i8xx, i9xx display d
ii xserver-xorg-video-mach64 6.8.0-3
pkg -l |grep mesa
ii libgl1-mesa-dev 7.4-0ubuntu3 A free implementation of the OpenGL API -- G
ii libgl1-mesa-dri 7.4-0ubuntu3 A free implementation of the OpenGL API -- D
ii libgl1-mesa-dri-dbg 7.4-0ubuntu3 Debugging symbols for the Mesa DRI modules
ii libgl1-mesa-glx 7.4-0ubuntu3 A free implementation of the OpenGL API -- G
ii libgl1-mesa-glx-dbg 7.4-0ubuntu3 Debugging symbols for the Mesa GLX runtime
ic libgl1-mesa-swx11 7.4-0ubuntu2~bug359392~1 A free implementation of the OpenGL API -- r
ii libglu1-mesa 7.4-0ubuntu3 The OpenGL utility library (GLU)
ii libglu1-mesa-dev 7.4-0ubuntu3 The OpenGL utility library -- development fi
ii libosmesa6 7.4-0ubuntu3 Mesa Off-screen rendering extension
ii mesa-common-dev 7.4-0ubuntu3 Developer documentation for Mesa
ii mesa-utils 7.4-0ubuntu3
It is interesting that i have not had to report a freeze in a very long time, i have not been in a kde environment about the same amount of time.

Revision history for this message
Soeren Sonnenburg (bugreports-nn7) wrote :

On Mon, 2009-04-27 at 21:24 +0000, Bryce Harrington wrote:
> On Mon, Apr 27, 2009 at 08:22:29PM -0000, Nattgew wrote:
> > "On the [8086:2a02] (rev 0c) setting AccelMethod to "UXA" acually fixes things, at the cost of a 25%
> > performance penalty."
> > Is this with some patch installed? I've used UXA all along while having X freeze.
>
> No; there are known freeze bugs with UXA which are probably unrelated to
> this.

I am having this bug with UXA enabled too. Mouse cursor is still there
and can be moved but display freezes.

Revision history for this message
Alwin Garside (yogarine) wrote :

> "On the [8086:2a02] (rev 0c) setting AccelMethod to "UXA" acually fixes things, at the cost of a 25%
> performance penalty."
> Is this with some patch installed? I've used UXA all along while having X freeze.

No, I'm using a fresh Ubuntu install with my [8086:2a02] (rev 0c)
(Sony VAIO VGN-NR230AE). Using default settings X will freeze, but
when I set AccelMethod to "UXA" every